#
# Module manifest for module 'Az.Network'
#
# Generated by: Microsoft Corporation
#
# Generated on: 8/30/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Network.psm1'

# Version number of this module.
ModuleVersion = '6.2.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f554cfcd-9cbb-4021-b158-fe20f0497f82'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Networking service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on Networking, please visit the following: https://learn.microsoft.com/azure/networking/networking-overview'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Network.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Network.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAuthenticationCertificate', 
               'New-AzApplicationGatewayAuthenticationCertificate', 
               'Remove-AzApplicationGatewayAuthenticationCertificate', 
               'Set-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAutoscaleConfiguration', 
               'New-AzApplicationGatewayAutoscaleConfiguration', 
               'Remove-AzApplicationGatewayAutoscaleConfiguration', 
               'Set-AzApplicationGatewayAutoscaleConfiguration', 
               'Get-AzApplicationGatewayAvailableWafRuleSet', 
               'Get-AzApplicationGatewayWafDynamicManifest', 
               'Get-AzApplicationGatewayAvailableSslOption', 
               'Add-AzApplicationGatewayBackendAddressPool', 
               'Get-AzApplicationGatewayBackendAddressPool', 
               'New-AzApplicationGatewayBackendAddressPool', 
               'Remove-AzApplicationGatewayBackendAddressPool', 
               'Set-AzApplicationGatewayBackendAddressPool', 
               'Add-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayBackendHttpSetting', 
               'New-AzApplicationGatewayBackendHttpSetting', 
               'Remove-AzApplicationGatewayBackendHttpSetting', 
               'Set-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayConnectionDraining', 
               'New-AzApplicationGatewayConnectionDraining', 
               'Remove-AzApplicationGatewayConnectionDraining', 
               'Set-AzApplicationGatewayConnectionDraining', 
               'Get-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Set-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationGatewayFirewallDisabledRuleGroupConfig', 
               'New-AzApplicationGatewayFirewallExclusionConfig', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleGroup', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleSet', 
               'New-AzApplicationGatewayFirewallCondition', 
               'New-AzApplicationGatewayFirewallCustomRule', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByUserSession', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByVariable', 
               'New-AzApplicationGatewayFirewallMatchVariable', 
               'New-AzApplicationGatewayFirewallPolicy', 
               'Get-AzApplicationGatewayFirewallPolicy', 
               'Remove-AzApplicationGatewayFirewallPolicy', 
               'Set-AzApplicationGatewayFirewallPolicy', 
               'New-AzApplicationGatewayFirewallPolicyExclusion', 
               'New-AzApplicationGatewayFirewallPolicyManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleGroupOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicySetting', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingConfiguration', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingRule', 
               'Add-AzApplicationGatewayFrontendIPConfig', 
               'Get-AzApplicationGatewayFrontendIPConfig', 
               'New-AzApplicationGatewayFrontendIPConfig', 
               'Remove-AzApplicationGatewayFrontendIPConfig', 
               'Set-AzApplicationGatewayFrontendIPConfig', 
               'Add-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayFrontendPort', 
               'New-AzApplicationGatewayFrontendPort', 
               'Remove-AzApplicationGatewayFrontendPort', 
               'Set-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayIdentity', 
               'New-AzApplicationGatewayIdentity', 
               'Remove-AzApplicationGatewayIdentity', 
               'Set-AzApplicationGatewayIdentity', 
               'Add-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayIPConfiguration', 
               'New-AzApplicationGatewayIPConfiguration', 
               'Remove-AzApplicationGatewayIPConfiguration', 
               'Set-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayBackendHealth', 'Get-AzApplicationGateway', 
               'Add-AzApplicationGatewayHttpListener', 
               'Get-AzApplicationGatewayHttpListener', 
               'New-AzApplicationGatewayHttpListener', 
               'Remove-AzApplicationGatewayHttpListener', 
               'Set-AzApplicationGatewayHttpListener', 'New-AzApplicationGateway', 
               'Add-AzApplicationGatewaySslProfile', 
               'Get-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewaySslProfile', 
               'Remove-AzApplicationGatewaySslProfile', 
               'Set-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayCustomError', 
               'Get-AzApplicationGatewayCustomError', 
               'Remove-AzApplicationGatewayCustomError', 
               'Set-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayHttpListenerCustomError', 
               'Get-AzApplicationGatewayHttpListenerCustomError', 
               'Remove-AzApplicationGatewayHttpListenerCustomError', 
               'Set-AzApplicationGatewayHttpListenerCustomError', 
               'New-AzApplicationGatewayPathRuleConfig', 
               'Add-AzApplicationGatewayProbeConfig', 
               'Get-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeConfig', 
               'Remove-AzApplicationGatewayProbeConfig', 
               'Set-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeHealthResponseMatch', 
               'Remove-AzApplicationGateway', 
               'Add-AzApplicationGatewayRequestRoutingRule', 
               'Get-AzApplicationGatewayRequestRoutingRule', 
               'New-AzApplicationGatewayRequestRoutingRule', 
               'Remove-AzApplicationGatewayRequestRoutingRule', 
               'Set-AzApplicationGatewayRequestRoutingRule', 
               'Add-AzApplicationGatewayRewriteRuleSet', 
               'Get-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRuleSet', 
               'Remove-AzApplicationGatewayRewriteRuleSet', 
               'Set-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRule', 
               'New-AzApplicationGatewayRewriteRuleActionSet', 
               'New-AzApplicationGatewayRewriteRuleHeaderConfiguration', 
               'New-AzApplicationGatewayRewriteRuleUrlConfiguration', 
               'Get-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'New-AzApplicationGatewayRewriteRuleCondition', 
               'Add-AzApplicationGatewayRedirectConfiguration', 
               'Get-AzApplicationGatewayRedirectConfiguration', 
               'New-AzApplicationGatewayRedirectConfiguration', 
               'Remove-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGateway', 'Get-AzApplicationGatewaySku', 
               'New-AzApplicationGatewaySku', 'Set-AzApplicationGatewaySku', 
               'Add-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslCertificate', 
               'New-AzApplicationGatewaySslCertificate', 
               'Remove-AzApplicationGatewaySslCertificate', 
               'Set-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslPolicy', 
               'New-AzApplicationGatewaySslPolicy', 
               'Remove-AzApplicationGatewaySslPolicy', 
               'Set-AzApplicationGatewaySslPolicy', 
               'Get-AzApplicationGatewaySslProfilePolicy', 
               'Remove-AzApplicationGatewaySslProfilePolicy', 
               'Set-AzApplicationGatewaySslProfilePolicy', 
               'Get-AzApplicationGatewayClientAuthConfiguration', 
               'New-AzApplicationGatewayClientAuthConfiguration', 
               'Remove-AzApplicationGatewayClientAuthConfiguration', 
               'Set-AzApplicationGatewayClientAuthConfiguration', 
               'Get-AzApplicationGatewaySslPredefinedPolicy', 
               'Start-AzApplicationGateway', 'Stop-AzApplicationGateway', 
               'Add-AzApplicationGatewayTrustedRootCertificate', 
               'Get-AzApplicationGatewayTrustedRootCertificate', 
               'New-AzApplicationGatewayTrustedRootCertificate', 
               'Remove-AzApplicationGatewayTrustedRootCertificate', 
               'Set-AzApplicationGatewayTrustedRootCertificate', 
               'Add-AzApplicationGatewayTrustedClientCertificate', 
               'Get-AzApplicationGatewayTrustedClientCertificate', 
               'New-AzApplicationGatewayTrustedClientCertificate', 
               'Remove-AzApplicationGatewayTrustedClientCertificate', 
               'Set-AzApplicationGatewayTrustedClientCertificate', 
               'Add-AzApplicationGatewayUrlPathMapConfig', 
               'Get-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayUrlPathMapConfig', 
               'Remove-AzApplicationGatewayUrlPathMapConfig', 
               'Set-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayPrivateLinkConfiguration', 
               'Add-AzApplicationGatewayPrivateLinkConfiguration', 
               'Set-AzApplicationGatewayPrivateLinkConfiguration', 
               'Get-AzApplicationGatewayPrivateLinkConfiguration', 
               'Remove-AzApplicationGatewayPrivateLinkConfiguration', 
               'New-AzApplicationGatewayPrivateLinkIpConfiguration', 
               'Add-AzExpressRouteCircuitAuthorization', 
               'Get-AzExpressRouteCircuitAuthorization', 
               'New-AzExpressRouteCircuitAuthorization', 
               'Remove-AzExpressRouteCircuitAuthorization', 
               'Move-AzExpressRouteCircuit', 'Get-AzExpressRouteCircuitARPTable', 
               'Get-AzExpressRouteCircuitRouteTable', 
               'Get-AzExpressRouteCircuitRouteTableSummary', 
               'Get-AzExpressRouteCircuitStat', 
               'Add-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzLoadBalancerInboundNatPoolConfig', 
               'New-AzLoadBalancerInboundNatPoolConfig', 
               'Remove-AzLoadBalancerInboundNatPoolConfig', 
               'Set-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzExpressRouteCircuit', 'New-AzExpressRouteCircuit', 
               'Add-AzExpressRouteCircuitPeeringConfig', 
               'Get-AzExpressRouteCircuitPeeringConfig', 
               'New-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteCircuitPeeringConfig', 
               'Set-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteCircuit', 'Set-AzExpressRouteCircuit', 
               'Get-AzExpressRoutePort', 'New-AzExpressRoutePort', 
               'Get-AzExpressRoutePortLinkConfig', 'Remove-AzExpressRoutePort', 
               'Set-AzExpressRoutePort', 'Get-AzExpressRoutePortsLocation', 
               'Get-AzExpressRoutePortIdentity', 'New-AzExpressRoutePortIdentity', 
               'Remove-AzExpressRoutePortIdentity', 
               'Set-AzExpressRoutePortIdentity', 
               'Add-AzExpressRoutePortAuthorization', 
               'Get-AzExpressRoutePortAuthorization', 
               'Remove-AzExpressRoutePortAuthorization', 
               'Get-AzEffectiveNetworkSecurityGroup', 'Get-AzEffectiveRouteTable', 
               'Add-AzNetworkInterfaceIpConfig', 'Get-AzNetworkInterfaceIpConfig', 
               'New-AzNetworkInterfaceIpConfig', 
               'Remove-AzNetworkInterfaceIpConfig', 
               'Set-AzNetworkInterfaceIpConfig', 'New-AzNetworkWatcher', 
               'Get-AzNetworkWatcher', 'Remove-AzNetworkWatcher', 
               'New-AzNetworkWatcherPacketCapture', 
               'New-AzNetworkWatcherPacketCaptureV2', 
               'Get-AzNetworkWatcherPacketCapture', 
               'Stop-AzNetworkWatcherPacketCapture', 
               'Remove-AzNetworkWatcherPacketCapture', 
               'New-AzPacketCaptureFilterConfig', 'New-AzPacketCaptureScopeConfig', 
               'Get-AzNetworkWatcherTopology', 
               'Get-AzNetworkWatcherSecurityGroupView', 
               'Test-AzNetworkWatcherIPFlow', 'Get-AzNetworkWatcherNextHop', 
               'Start-AzNetworkWatcherResourceTroubleshooting', 
               'Get-AzNetworkWatcherTroubleshootingResult', 
               'Get-AzNetworkWatcherFlowLogStatus', 
               'Set-AzNetworkWatcherConfigFlowLog', 'New-AzNetworkWatcherFlowLog', 
               'Set-AzNetworkWatcherFlowLog', 'Get-AzNetworkWatcherFlowLog', 
               'Remove-AzNetworkWatcherFlowLog', 
               'Test-AzNetworkWatcherConnectivity', 
               'Get-AzNetworkWatcherReachabilityReport', 
               'Get-AzNetworkWatcherReachabilityProvidersList', 
               'New-AzNetworkWatcherConnectionMonitorEndpointObject', 
               'New-AzNetworkWatcherConnectionMonitorObject', 
               'New-AzNetworkWatcherConnectionMonitorEndpointScopeItemObject', 
               'New-AzNetworkWatcherConnectionMonitorTestConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestGroupObject', 
               'New-AzNetworkWatcherConnectionMonitorOutputObject', 
               'New-AzNetworkWatcherConnectionMonitorProtocolConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitor', 
               'Set-AzNetworkWatcherConnectionMonitor', 
               'Start-AzNetworkWatcherConnectionMonitor', 
               'Stop-AzNetworkWatcherConnectionMonitor', 
               'Remove-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitorReport', 
               'Invoke-AzNetworkWatcherNetworkConfigurationDiagnostic', 
               'New-AzNetworkWatcherNetworkConfigurationDiagnosticProfile', 
               'Get-AzExpressRouteServiceProvider', 
               'Test-AzPrivateIPAddressAvailability', 'Get-AzPublicIpAddress', 
               'New-AzPublicIpAddress', 'Remove-AzPublicIpAddress', 
               'Set-AzPublicIpAddress', 'Get-AzPublicIpPrefix', 
               'New-AzPublicIpPrefix', 'Remove-AzPublicIpPrefix', 
               'Set-AzPublicIpPrefix', 'Get-AzRouteTable', 'New-AzRouteTable', 
               'Remove-AzRouteTable', 'Add-AzRouteConfig', 'Get-AzRouteConfig', 
               'New-AzRouteConfig', 'Remove-AzRouteConfig', 'Set-AzRouteConfig', 
               'Set-AzRouteTable', 'New-AzRadiusServer', 
               'Set-AzVirtualNetworkGateway', 'Get-AzVirtualNetworkGateway', 
               'New-AzVirtualNetworkGateway', 
               'Get-AzVirtualNetworkGatewayVpnclientConnectionHealth', 
               'Get-AzVpnClientRootCertificate', 
               'Get-AzVpnClientRevokedCertificate', 
               'Add-AzVpnClientRootCertificate', 
               'Add-AzVpnClientRevokedCertificate', 
               'New-AzVpnClientRootCertificate', 
               'New-AzVpnClientRevokedCertificate', 
               'Resize-AzVirtualNetworkGateway', 
               'Remove-AzVpnClientRevokedCertificate', 
               'Remove-AzVpnClientRootCertificate', 'Get-AzVpnClientPackage', 
               'New-AzVpnClientConfiguration', 'Get-AzVpnClientConfiguration', 
               'New-AzVirtualNetworkGatewayIpConfig', 
               'Add-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGateway', 'Reset-AzVirtualNetworkGateway', 
               'Set-AzVirtualNetworkGatewayDefaultSite', 
               'Remove-AzVirtualNetworkGatewayDefaultSite', 
               'New-AzVpnClientIpsecPolicy', 'New-AzVpnClientIpsecParameter', 
               'Set-AzVpnClientIpsecParameter', 'Get-AzVpnClientIpsecParameter', 
               'Remove-AzVpnClientIpsecParameter', 'Remove-AzLocalNetworkGateway', 
               'Get-AzLocalNetworkGateway', 'New-AzLocalNetworkGateway', 
               'Set-AzLocalNetworkGateway', 
               'Get-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionIkeSa', 
               'Reset-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionSharedKey', 
               'New-AzVirtualNetworkGatewayConnection', 
               'Remove-AzVirtualNetworkGatewayConnection', 
               'Reset-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayConnection', 'New-AzIpsecPolicy', 
               'New-AzIpsecTrafficSelectorPolicy', 
               'Get-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPool', 
               'Remove-AzLoadBalancerBackendAddressPool', 
               'Set-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPoolTunnelInterfaceConfig', 
               'New-AzLoadBalancerBackendAddressConfig', 
               'Get-AzLoadBalancerBackendAddressPoolConfig', 
               'Add-AzLoadBalancerBackendAddressPoolConfig', 
               'New-AzLoadBalancerBackendAddressPoolConfig', 
               'Remove-AzLoadBalancerBackendAddressPoolConfig', 
               'Get-AzLoadBalancerBackendAddressInboundNatRulePortMapping', 
               'Set-AzLoadBalancerFrontendIpConfig', 
               'Get-AzLoadBalancerFrontendIpConfig', 
               'Add-AzLoadBalancerFrontendIpConfig', 
               'New-AzLoadBalancerFrontendIpConfig', 
               'Remove-AzLoadBalancerFrontendIpConfig', 'Get-AzLoadBalancer', 
               'Set-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzLoadBalancerInboundNatRuleConfig', 
               'Add-AzLoadBalancerInboundNatRuleConfig', 
               'New-AzLoadBalancerInboundNatRuleConfig', 
               'Remove-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzBgpServiceCommunity', 'Get-AzRouteFilter', 'Set-AzRouteFilter', 
               'Remove-AzRouteFilter', 'New-AzRouteFilter', 
               'Get-AzRouteFilterRuleConfig', 'Add-AzRouteFilterRuleConfig', 
               'Remove-AzRouteFilterRuleConfig', 'Set-AzRouteFilterRuleConfig', 
               'New-AzRouteFilterRuleConfig', 'Set-AzLoadBalancerRuleConfig', 
               'Get-AzLoadBalancerRuleConfig', 'Add-AzLoadBalancerRuleConfig', 
               'New-AzLoadBalancerRuleConfig', 'Remove-AzLoadBalancerRuleConfig', 
               'New-AzLoadBalancer', 'Set-AzLoadBalancerProbeConfig', 
               'Get-AzLoadBalancerProbeConfig', 'Add-AzLoadBalancerProbeConfig', 
               'New-AzLoadBalancerProbeConfig', 'Remove-AzLoadBalancerProbeConfig', 
               'Remove-AzLoadBalancer', 'Set-AzLoadBalancer', 
               'Add-AzLoadBalancerOutboundRuleConfig', 
               'Get-AzLoadBalancerOutboundRuleConfig', 
               'New-AzLoadBalancerOutboundRuleConfig', 
               'Set-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzNetworkInterface', 'Get-AzNetworkInterface', 
               'New-AzNetworkInterface', 'Set-AzNetworkInterface', 
               'Get-AzNetworkSecurityGroup', 'New-AzNetworkSecurityRuleConfig', 
               'Get-AzNetworkSecurityRuleConfig', 
               'Remove-AzNetworkSecurityRuleConfig', 
               'Set-AzNetworkSecurityRuleConfig', 
               'Add-AzNetworkSecurityRuleConfig', 'New-AzNetworkSecurityGroup', 
               'Remove-AzNetworkSecurityGroup', 'Set-AzNetworkSecurityGroup', 
               'Test-AzDnsAvailability', 'Add-AzVirtualNetworkPeering', 
               'Get-AzVirtualNetworkPeering', 'Remove-AzVirtualNetworkPeering', 
               'Set-AzVirtualNetworkPeering', 'Sync-AzVirtualNetworkPeering', 
               'Remove-AzVirtualNetwork', 'Set-AzVirtualNetwork', 
               'Remove-AzVirtualNetworkSubnetConfig', 
               'Set-AzVirtualNetworkSubnetConfig', 
               'Get-AzVirtualNetworkSubnetConfig', 
               'Add-AzVirtualNetworkSubnetConfig', 
               'New-AzVirtualNetworkSubnetConfig', 'New-AzDelegation', 
               'Add-AzDelegation', 'Get-AzDelegation', 'Remove-AzDelegation', 
               'Get-AzAvailableServiceDelegation', 'Get-AzVirtualNetwork', 
               'New-AzVirtualNetwork', 'Get-AzVirtualNetworkGatewayBgpPeerStatus', 
               'Get-AzVirtualNetworkGatewayAdvertisedRoute', 
               'Get-AzVirtualNetworkGatewayLearnedRoute', 'Get-AzNetworkUsage', 
               'Get-AzVirtualNetworkUsageList', 
               'Get-AzVirtualNetworkAvailableEndpointService', 
               'Get-AzVirtualNetworkGatewaySupportedVpnDevice', 
               'Get-AzVirtualNetworkGatewayConnectionVpnDeviceConfigScript', 
               'New-AzApplicationSecurityGroup', 
               'Remove-AzApplicationSecurityGroup', 
               'Get-AzApplicationSecurityGroup', 'New-AzPublicIpTag', 
               'New-AzDdosProtectionPlan', 'Get-AzDdosProtectionPlan', 
               'Remove-AzDdosProtectionPlan', 
               'New-AzNetworkWatcherProtocolConfiguration', 
               'Add-AzExpressRouteCircuitConnectionConfig', 
               'Set-AzExpressRouteCircuitConnectionConfig', 
               'Get-AzExpressRouteCircuitConnectionConfig', 
               'Remove-AzExpressRouteCircuitConnectionConfig', 
               'New-AzServiceEndpointPolicy', 'Remove-AzServiceEndpointPolicy', 
               'Get-AzServiceEndpointPolicy', 
               'New-AzServiceEndpointPolicyDefinition', 
               'Remove-AzServiceEndpointPolicyDefinition', 
               'Get-AzServiceEndpointPolicyDefinition', 
               'Set-AzServiceEndpointPolicyDefinition', 
               'Add-AzServiceEndpointPolicyDefinition', 
               'Set-AzServiceEndpointPolicy', 'New-AzVirtualWan', 
               'Update-AzVirtualWan', 'Get-AzVirtualWan', 'Remove-AzVirtualWan', 
               'Get-AzVirtualWanVpnServerConfiguration', 
               'Get-AzVirtualWanVpnServerConfigurationVpnProfile', 
               'New-AzVirtualHub', 'Get-AzVirtualHub', 'Update-AzVirtualHub', 
               'Remove-AzVirtualHub', 'Set-AzVirtualHub', 'New-AzVirtualHubRoute', 
               'Add-AzVirtualHubRoute', 'New-AzVirtualHubRouteTable', 
               'Add-AzVirtualHubRouteTable', 'Get-AzVirtualHubRouteTable', 
               'Remove-AzVirtualHubRouteTable', 'New-AzRoutingPolicy', 
               'Get-AzVHubEffectiveRoute', 'Get-AzVHubInboundRoute', 
               'Get-AzVHubOutboundRoute', 
               'New-AzVirtualRouterAutoScaleConfiguration', 'Get-AzRoutingPolicy', 
               'Add-AzRoutingPolicy', 'Remove-AzRoutingPolicy', 
               'Set-AzRoutingPolicy', 'New-AzRoutingIntent', 'Get-AzRoutingIntent', 
               'Set-AzRoutingIntent', 'Get-AzRouteMap', 
               'New-AzRouteMapRuleCriterion', 'New-AzRouteMapRuleActionParameter', 
               'New-AzRouteMapRuleAction', 'New-AzRouteMapRule', 'New-AzRouteMap', 
               'Remove-AzRouteMap', 'Update-AzRouteMap', 'Remove-AzRoutingIntent', 
               'New-AzVpnGateway', 'Reset-AzVpnGateway', 'Get-AzVpnGateway', 
               'Update-AzVpnGateway', 'Remove-AzVpnGateway', 
               'Start-AzVpnGatewayPacketCapture', 'Stop-AzVpnGatewayPacketCapture', 
               'New-AzVpnGatewayNatRule', 'Update-AzVpnGatewayNatRule', 
               'Remove-AzVpnGatewayNatRule', 'Get-AzVpnGatewayNatRule', 
               'Start-AzVpnConnectionPacketCapture', 
               'Stop-AzVpnConnectionPacketCapture', 'New-AzVpnSite', 
               'New-AzVpnSiteLink', 'New-AzVpnSiteLinkConnection', 'Get-AzVpnSite', 
               'Reset-AzVpnSiteLinkConnection', 'Get-AzVpnSiteLinkConnectionIkeSa', 
               'Update-AzVpnSite', 'Remove-AzVpnSite', 'New-AzVpnConnection', 
               'Get-AzVpnConnection', 'Update-AzVpnConnection', 
               'Remove-AzVpnConnection', 'New-AzVirtualHubVnetConnection', 
               'Get-AzVirtualHubVnetConnection', 
               'Remove-AzVirtualHubVnetConnection', 
               'Update-AzVirtualHubVnetConnection', 'Get-AzVpnServerConfiguration', 
               'New-AzVpnServerConfiguration', 'Remove-AzVpnServerConfiguration', 
               'Update-AzVpnServerConfiguration', 
               'Get-AzVpnServerConfigurationPolicyGroup', 
               'New-AzVpnServerConfigurationPolicyGroup', 
               'Remove-AzVpnServerConfigurationPolicyGroup', 
               'Update-AzVpnServerConfigurationPolicyGroup', 'Get-AzP2sVpnGateway', 
               'Disconnect-AzP2sVpnGatewayVpnConnection', 
               'Get-AzP2sVpnGatewayConnectionHealth', 
               'Get-AzP2sVpnGatewayDetailedConnectionHealth', 
               'Get-AzP2sVpnGatewayVpnProfile', 'New-AzP2sVpnGateway', 
               'Remove-AzP2sVpnGateway', 'Update-AzP2sVpnGateway', 
               'Reset-AzP2sVpnGateway', 'Get-AzVirtualWanVpnConfiguration', 
               'Get-AzFirewall', 'Set-AzFirewall', 'New-AzFirewall', 
               'Remove-AzFirewall', 'New-AzFirewallApplicationRuleCollection', 
               'New-AzFirewallApplicationRule', 'New-AzFirewallNatRuleCollection', 
               'New-AzFirewallPolicyApplicationRuleCustomHttpHeader', 
               'New-AzFirewallNatRule', 'New-AzFirewallNetworkRuleCollection', 
               'New-AzFirewallNetworkRule', 'New-AzFirewallThreatIntelWhitelist', 
               'New-AzFirewallHubPublicIpAddress', 'New-AzFirewallHubIpAddress', 
               'New-AzFirewallPublicIpAddress', 'Get-AzFirewallFqdnTag', 
               'Get-AzNetworkProfile', 'New-AzNetworkProfile', 
               'Remove-AzNetworkProfile', 'Set-AzNetworkProfile', 
               'New-AzContainerNicConfig', 'New-AzContainerNicConfigIpConfig', 
               'Add-AzNetworkInterfaceTapConfig', 
               'Get-AzNetworkInterfaceTapConfig', 
               'Set-AzNetworkInterfaceTapConfig', 
               'Remove-AzNetworkInterfaceTapConfig', 'Get-AzVirtualNetworkTap', 
               'New-AzVirtualNetworkTap', 'Remove-AzVirtualNetworkTap', 
               'Set-AzVirtualNetworkTap', 'Get-AzExpressRouteGateway', 
               'New-AzExpressRouteGateway', 'Remove-AzExpressRouteGateway', 
               'Set-AzExpressRouteGateway', 'Get-AzExpressRouteConnection', 
               'New-AzExpressRouteConnection', 'Remove-AzExpressRouteConnection', 
               'Set-AzExpressRouteConnection', 'Get-AzExpressRouteCrossConnection', 
               'Set-AzExpressRouteCrossConnection', 
               'Add-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionPeering', 
               'Remove-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionArpTable', 
               'Get-AzExpressRouteCrossConnectionRouteTable', 
               'Get-AzExpressRouteCrossConnectionRouteTableSummary', 
               'Get-AzNatGateway', 'New-AzNatGateway', 'Remove-AzNatGateway', 
               'Set-AzNatGateway', 'Get-AzNetworkServiceTag', 
               'New-AzPrivateEndpoint', 'Get-AzPrivateEndpoint', 
               'Remove-AzPrivateEndpoint', 'New-AzPrivateLinkServiceConnection', 
               'New-AzPrivateDnsZoneConfig', 'Remove-AzPrivateDnsZoneGroup', 
               'Get-AzPrivateDnsZoneGroup', 'New-AzPrivateDnsZoneGroup', 
               'Set-AzPrivateDnsZoneGroup', 'New-AzPrivateLinkService', 
               'Get-AzPrivateLinkService', 'Remove-AzPrivateLinkService', 
               'New-AzPrivateLinkServiceIpConfig', 'Set-AzPrivateEndpoint', 
               'Set-AzPrivateLinkService', 'Set-AzPrivateEndpointConnection', 
               'Get-AzPrivateEndpointConnection', 
               'Remove-AzPrivateEndpointConnection', 
               'Get-AzAutoApprovedPrivateLinkService', 
               'Test-AzPrivateLinkServiceVisibility', 
               'Approve-AzPrivateEndpointConnection', 
               'Deny-AzPrivateEndpointConnection', 
               'Get-AzAvailablePrivateEndpointType', 'Get-AzAvailableServiceAlias', 
               'Get-AzPrivateLinkResource', 'New-AzBastion', 'Get-AzBastion', 
               'Remove-AzBastion', 'Set-AzBastion', 
               'Start-AzVirtualNetworkGatewayPacketCapture', 
               'Stop-AzVirtualNetworkGatewayPacketCapture', 
               'Start-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Stop-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Disconnect-AzVirtualNetworkGatewayVpnConnection', 
               'New-AzFirewallPolicyNetworkRule', 'New-AzFirewallPolicyNatRule', 
               'New-AzFirewallPolicyApplicationRule', 
               'New-AzFirewallPolicyNatRuleCollection', 
               'New-AzFirewallPolicyFilterRuleCollection', 
               'New-AzFirewallPolicyRuleCollectionGroup', 
               'Set-AzFirewallPolicyRuleCollectionGroup', 
               'Get-AzFirewallPolicyRuleCollectionGroup', 
               'Remove-AzFirewallPolicyRuleCollectionGroup', 
               'New-AzFirewallPolicy', 'Get-AzFirewallPolicy', 
               'Set-AzFirewallPolicy', 'Remove-AzFirewallPolicy', 
               'New-AzFirewallPolicyIntrusionDetection', 
               'New-AzFirewallPolicyIntrusionDetectionBypassTraffic', 
               'New-AzFirewallPolicyIntrusionDetectionSignatureOverride', 
               'New-AzFirewallPolicyThreatIntelWhitelist', 
               'New-AzFirewallPolicyDnsSetting', 'New-AzFirewallPolicySqlSetting', 
               'New-AzFirewallPolicyExplicitProxy', 'New-AzVirtualRouter', 
               'Remove-AzVirtualRouter', 'Get-AzVirtualRouter', 
               'Update-AzVirtualRouter', 'Add-AzVirtualRouterPeer', 
               'Update-AzVirtualRouterPeer', 'Remove-AzVirtualRouterPeer', 
               'Get-AzVirtualRouterPeer', 'Get-AzVirtualRouterPeerAdvertisedRoute', 
               'Get-AzVirtualRouterPeerLearnedRoute', 'New-AzRouteServer', 
               'Remove-AzRouteServer', 'Get-AzRouteServer', 'Update-AzRouteServer', 
               'Add-AzRouteServerPeer', 'Update-AzRouteServerPeer', 
               'Remove-AzRouteServerPeer', 'Get-AzRouteServerPeer', 
               'Get-AzRouteServerPeerAdvertisedRoute', 
               'Get-AzRouteServerPeerLearnedRoute', 'New-AzIpGroup', 
               'Remove-AzIpGroup', 'Get-AzIpGroup', 'Set-AzIpGroup', 
               'New-AzIpConfigurationBgpPeeringAddressObject', 
               'New-AzIpAllocation', 'Get-AzIpAllocation', 'Remove-AzIpAllocation', 
               'Set-AzIpAllocation', 'New-AzSecurityPartnerProvider', 
               'Remove-AzSecurityPartnerProvider', 'Get-AzSecurityPartnerProvider', 
               'Set-AzSecurityPartnerProvider', 'Reset-AzHubRouter', 
               'New-AzVHubRoute', 'New-AzStaticRoute', 'New-AzRoutingConfiguration', 
               'New-AzVHubRouteTable', 'Get-AzVHubRouteTable', 
               'Update-AzVHubRouteTable', 'Remove-AzVHubRouteTable', 
               'Get-AzNetworkVirtualAppliance', 'New-AzNetworkVirtualAppliance', 
               'Remove-AzNetworkVirtualAppliance', 
               'Update-AzNetworkVirtualAppliance', 
               'Get-AzNetworkVirtualApplianceConnection', 
               'Get-AzVirtualApplianceSite', 'New-AzVirtualApplianceSite', 
               'Remove-AzVirtualApplianceSite', 'Update-AzVirtualApplianceSite', 
               'New-AzOffice365PolicyProperty', 'Get-AzNetworkVirtualApplianceSku', 
               'New-AzVirtualApplianceAdditionalNicProperty', 
               'New-AzVirtualApplianceSkuProperty', 'New-AzCustomIpPrefix', 
               'Update-AzCustomIpPrefix', 'Get-AzCustomIpPrefix', 
               'Remove-AzCustomIpPrefix', 'New-AzExpressRoutePortLOA', 
               'New-AzO365PolicyProperty', 'Get-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayNatRule', 
               'Update-AzVirtualNetworkGatewayNatRule', 
               'Remove-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayPolicyGroup', 
               'New-AzVirtualNetworkGatewayPolicyGroupMember', 
               'New-AzVpnClientConnectionConfiguration', 
               'Get-AzVirtualHubBgpConnection', 'New-AzVirtualHubBgpConnection', 
               'Remove-AzVirtualHubBgpConnection', 
               'Update-AzVirtualHubBgpConnection', 
               'New-AzPrivateEndpointIpConfiguration', 
               'Get-AzApplicationGatewayListener', 
               'New-AzApplicationGatewayListener', 
               'Add-AzApplicationGatewayListener', 
               'Set-AzApplicationGatewayListener', 
               'Remove-AzApplicationGatewayListener', 
               'Get-AzApplicationGatewayBackendSetting', 
               'New-AzApplicationGatewayBackendSetting', 
               'Add-AzApplicationGatewayBackendSetting', 
               'Set-AzApplicationGatewayBackendSetting', 
               'Remove-AzApplicationGatewayBackendSetting', 
               'Get-AzApplicationGatewayRoutingRule', 
               'New-AzApplicationGatewayRoutingRule', 
               'Add-AzApplicationGatewayRoutingRule', 
               'Set-AzApplicationGatewayRoutingRule', 
               'Remove-AzApplicationGatewayRoutingRule', 'Get-AzNetworkManager', 
               'New-AzNetworkManager', 'Remove-AzNetworkManager', 
               'Set-AzNetworkManager', 'Get-AzNetworkManagerGroup', 
               'New-AzNetworkManagerGroup', 'Remove-AzNetworkManagerGroup', 
               'Set-AzNetworkManagerGroup', 
               'Get-AzNetworkManagerConnectivityConfiguration', 
               'New-AzNetworkManagerConnectivityConfiguration', 
               'Remove-AzNetworkManagerConnectivityConfiguration', 
               'Set-AzNetworkManagerConnectivityConfiguration', 
               'Get-AzNetworkManagerSecurityAdminConfiguration', 
               'New-AzNetworkManagerSecurityAdminConfiguration', 
               'Remove-AzNetworkManagerSecurityAdminConfiguration', 
               'Set-AzNetworkManagerSecurityAdminConfiguration', 
               'Get-AzNetworkManagerSecurityAdminRuleCollection', 
               'New-AzNetworkManagerSecurityAdminRuleCollection', 
               'Remove-AzNetworkManagerSecurityAdminRuleCollection', 
               'Set-AzNetworkManagerSecurityAdminRuleCollection', 
               'Get-AzNetworkManagerSecurityAdminRule', 
               'New-AzNetworkManagerSecurityAdminRule', 
               'Remove-AzNetworkManagerSecurityAdminRule', 
               'Set-AzNetworkManagerSecurityAdminRule', 
               'Get-AzNetworkManagerActiveConnectivityConfiguration', 
               'Get-AzNetworkManagerActiveSecurityAdminRule', 
               'Get-AzNetworkManagerEffectiveConnectivityConfiguration', 
               'Get-AzNetworkManagerEffectiveSecurityAdminRule', 
               'Deploy-AzNetworkManagerCommit', 
               'Get-AzNetworkManagerDeploymentStatus', 
               'New-AzNetworkManagerAddressPrefixItem', 
               'New-AzNetworkManagerScope', 
               'New-AzNetworkManagerSecurityGroupItem', 'New-AzNetworkManagerHub', 
               'New-AzNetworkManagerConnectivityGroupItem', 
               'New-AzNetworkManagerStaticMember', 
               'Get-AzNetworkManagerStaticMember', 
               'Remove-AzNetworkManagerStaticMember', 
               'New-AzNetworkManagerSubscriptionConnection', 
               'Get-AzNetworkManagerSubscriptionConnection', 
               'Remove-AzNetworkManagerSubscriptionConnection', 
               'Set-AzNetworkManagerSubscriptionConnection', 
               'New-AzNetworkManagerScopeConnection', 
               'Get-AzNetworkManagerScopeConnection', 
               'Remove-AzNetworkManagerScopeConnection', 
               'Set-AzNetworkManagerScopeConnection', 
               'New-AzNetworkManagerManagementGroupConnection', 
               'Get-AzNetworkManagerManagementGroupConnection', 
               'Remove-AzNetworkManagerManagementGroupConnection', 
               'Set-AzNetworkManagerManagementGroupConnection', 
               'Get-AzFirewallLearnedIpPrefix', 'New-AzFirewallPolicySnat', 
               'New-AzGatewayCustomBgpIpConfigurationObject'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'List-AzApplicationGatewayAvailableWafRuleSets', 
               'List-AzApplicationGatewayAvailableSslOptions', 
               'List-AzApplicationGatewaySslPredefinedPolicy', 
               'List-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'Add-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzApplicationGatewayBackendHttpSettings', 
               'New-AzApplicationGatewayBackendHttpSettings', 
               'Remove-AzApplicationGatewayBackendHttpSettings', 
               'Set-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzExpressRouteCircuitStats', 
               'Get-AzApplicationGatewayAvailableWafRuleSets', 
               'Get-AzApplicationGatewayAvailableSslOptions', 
               'Get-AzInterfaceEndpoint', 
               'New-AzFirewallThreatIntelWhitelistObject'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Network','VirtualNetwork'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Added support for new Application Gateway SKU type, Basic SKU
* Onboarded ''Microsoft.EventGrid/partnerNamespaces'' to private link cmdlets
* Onboarded ''Microsoft.EventGrid/namespaces'' to private link cmdlets
* Fixed bug in ''NewAzureApplicationGatewayFirewallCustomRuleGroupByVariable'' to add ''GeoLocation'' as a valid input for VariableName
* Added breaking change message for parameter ''VariableName'' in ''NewAzureApplicationGatewayFirewallCustomRuleGroupByVariable'' to remove ''Geo'' as a valid input.'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoLQYJKoZIhvcNAQcCoIIoHjCCKBoCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCCiis9x5iLMFhBS
# bTBSkp6EAyaG2XFKVUB8fYiHDY+ml6CCDXYwggX0MIID3KADAgECAhMzAAADTrU8
# esGEb+srAAAAAANOMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMwMzE2MTg0MzI5WhcNMjQwMzE0MTg0MzI5WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDdCKiNI6IBFWuvJUmf6WdOJqZmIwYs5G7AJD5UbcL6tsC+EBPDbr36pFGo1bsU
# p53nRyFYnncoMg8FK0d8jLlw0lgexDDr7gicf2zOBFWqfv/nSLwzJFNP5W03DF/1
# 1oZ12rSFqGlm+O46cRjTDFBpMRCZZGddZlRBjivby0eI1VgTD1TvAdfBYQe82fhm
# WQkYR/lWmAK+vW/1+bO7jHaxXTNCxLIBW07F8PBjUcwFxxyfbe2mHB4h1L4U0Ofa
# +HX/aREQ7SqYZz59sXM2ySOfvYyIjnqSO80NGBaz5DvzIG88J0+BNhOu2jl6Dfcq
# jYQs1H/PMSQIK6E7lXDXSpXzAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUnMc7Zn/ukKBsBiWkwdNfsN5pdwAw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMDUxNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAD21v9pHoLdBSNlFAjmk
# mx4XxOZAPsVxxXbDyQv1+kGDe9XpgBnT1lXnx7JDpFMKBwAyIwdInmvhK9pGBa31
# TyeL3p7R2s0L8SABPPRJHAEk4NHpBXxHjm4TKjezAbSqqbgsy10Y7KApy+9UrKa2
# kGmsuASsk95PVm5vem7OmTs42vm0BJUU+JPQLg8Y/sdj3TtSfLYYZAaJwTAIgi7d
# hzn5hatLo7Dhz+4T+MrFd+6LUa2U3zr97QwzDthx+RP9/RZnur4inzSQsG5DCVIM
# pA1l2NWEA3KAca0tI2l6hQNYsaKL1kefdfHCrPxEry8onJjyGGv9YKoLv6AOO7Oh
# JEmbQlz/xksYG2N/JSOJ+QqYpGTEuYFYVWain7He6jgb41JbpOGKDdE/b+V2q/gX
# UgFe2gdwTpCDsvh8SMRoq1/BNXcr7iTAU38Vgr83iVtPYmFhZOVM0ULp/kKTVoir
# IpP2KCxT4OekOctt8grYnhJ16QMjmMv5o53hjNFXOxigkQWYzUO+6w50g0FAeFa8
# 5ugCCB6lXEk21FFB1FdIHpjSQf+LP/W2OV/HfhC3uTPgKbRtXo83TZYEudooyZ/A
# Vu08sibZ3MkGOJORLERNwKm2G7oqdOv4Qj8Z0JrGgMzj46NFKAxkLSpE5oHQYP1H
# tPx1lPfD7iNSbJsP6LiUHXH1MIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGg0wghoJAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAANOtTx6wYRv6ysAAAAAA04wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIEcT2uTWqC+4IL0Zwi3RNtRC
# gBslhH8eGKbmVKDyLe3rMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEARS0TRNvtyy05+YzCl1gnGg1fjXUiJJMo1Rim6+j+mn1acocUOp/nlYq1
# uxBT6pKOMKj6Mjri/IeOlUCBINL7mQSQQQesfNPAW7iFC1duQyxeceUXiOQMq5W7
# 2wlHbmGlaOePFAWwrmRqfGqayg1WDGTTKmtzZm+U2YjGJWnJWULGYOrPDfFGo2O1
# ut6u/CbmCYcBvxgOQTrBm6mCm9jlh9szaUXcIEtb8BtDTZ6FikGYHd6wz01c0m+i
# 6gDwXAQPb5X59434ChSg/q45Aqx9gREHYQgohBXDtvb6R2GG1qoI2FH2X1Ry0oUx
# yWvy/kfauStlU4JmriODPJie5ytf9aGCF5cwgheTBgorBgEEAYI3AwMBMYIXgzCC
# F38GCSqGSIb3DQEHAqCCF3AwghdsAgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFSBgsq
# hkiG9w0BCRABBKCCAUEEggE9MIIBOQIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCDon4f2TYHM3DQCEbq81aiWI7pZKrBvTiG/Ixju8NBeOAIGZNTI4zul
# GBMyMDIzMDgzMDA3MjQwMC42NDRaMASAAgH0oIHRpIHOMIHLMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1l
# cmljYSBPcGVyYXRpb25zMScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046ODYwMy0w
# NUUwLUQ5NDcxJTAjBgNVBAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2Wg
# ghHtMIIHIDCCBQigAwIBAgITMwAAAdebDR5XLoxRjgABAAAB1zANBgkqhkiG9w0B
# AQsFADB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYD
# VQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDAeFw0yMzA1MjUxOTEy
# MzdaFw0yNDAyMDExOTEyMzdaMIHLMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2Fz
# aGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENv
# cnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1lcmljYSBPcGVyYXRpb25z
# MScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046ODYwMy0wNUUwLUQ5NDcxJTAjBgNV
# BAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2UwggIiMA0GCSqGSIb3DQEB
# AQUAA4ICDwAwggIKAoICAQDErGCkN2X/UvuNCcfl0yVBNo+LIIyzG7A10X5kVgGn
# p9s8mf4aZsukZu5rvLs7NqaNExcwnPuHIWdp6kswja1Yw9SxTX+E0leq+WBucIRK
# WdcMumIDBgLE0Eb/3/BY95ZtT1XsnnatBFZhr0uLkDiT9HgrRb122sm7/YkyMigF
# kT0JuoiSPXoLL7waUE9teI9QOkojqjRlcIC4YVNY+2UIBM5QorKNaOdz/so+TIF6
# mzxX5ny2U/o/iMFVTfvwm4T8g/Yqxwye+lOma9KK98v6vwe/ii72TMTVWwKXFdXO
# ysP9GiocXt38cuP9c8aE1eH3q4FdGTgKOd0rG+xhCgsRF8GqLT7k58VpQnJ8u+yj
# RW6Lomt5Rcropgf9EH8e4foDUoUyU5Q7iPgwOJxYhoKxRjGZlthDmp5ex+6U6zv9
# 5rd973668pGpCku0IB43L/BTzMcDAV4/xu6RfcVFwarN/yJq5qfZyMspH5gcaTCV
# AouXkQTc8LwtfxtgIz53qMSVR9c9gkSnxM5c1tHgiMX3D2GBnQan95ty+CdTYAAh
# jgBTcyj9P7OGEMhr3lyaZxjr3gps6Zmo47VOTI8tsSYHhHtD8BpBog39L5e4/lDJ
# g/Oq4rGsFKSxMXuIRZ1E08dmX67XM7qmvm27O804ChEmb+COR8Wb46MFEEz62ju+
# xQIDAQABo4IBSTCCAUUwHQYDVR0OBBYEFK6nwLv9WQL3NIxEJyPuJMZ6MI2NMB8G
# A1UdIwQYMBaAFJ+nFV0AXmJdg/Tl0mWnG1M1GelyMF8GA1UdHwRYMFYwVKBSoFCG
# Tmh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMvY3JsL01pY3Jvc29mdCUy
# MFRpbWUtU3RhbXAlMjBQQ0ElMjAyMDEwKDEpLmNybDBsBggrBgEFBQcBAQRgMF4w
# XAYIKwYBBQUHMAKGUGh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMvY2Vy
# dHMvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3J0MAwG
# A1UdEwEB/wQCMAAwFgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgwDgYDVR0PAQH/BAQD
# AgeAMA0GCSqGSIb3DQEBCwUAA4ICAQBSBd3UJ+IsvdMCX+K7xqHa5UBtVC1CaXZv
# HRd+stW0lXA/dTNneCW0TFrBoJY59b9fnbTouPReaku2l3X5bmhsao6DCRVuqcmh
# VPAZySXGeoVfj52cLGiyZLEw6TQzu6D++vjNOGmSibO0KE9Gdv8hQERx5RG0KgrT
# mk8ckeC1VUqueUQHKVCESqTDUDD8dXTLWCmm6HqmQX6/+gKDSXggwpc75hi2AbKS
# o4tulMwTfXJdGdwrsiHjkz8nzIW/Z3PnMgGFU76KuzYFV0XyH9DTS/DPO86RLtQj
# A5ZlVGymTPfTnw7kxoiLJN/yluMHIkHSzpaJvCiqX+Dn1QGREEnNIZeRekvLourq
# PREIOTm1bJRJ065c9YX7bJ0naPixzm5y8Y2B+YIIEAi4jUraOh3oE7a4JvIW3Eg3
# oNqP7qhpd7xMLxq2WnM+U9bqWTeT4VCopAhXu2uGQexdLq7bWdcYwyEFDhS4Z9N0
# uw3h6bjB7S4MX96pfYSEV0MKFGOKbmfCUS7WemkuFqZy0oNHPPx+cfdNYeSF6bhO
# PHdsro1EVd3zWIkdD1G5kEDPnEQtFartM8H+bv5zUhAUJs8qLzuFAdBZQLueD9XZ
# eynjQKwEeAz63xATICh8tOUM2zMgSEhVL8Hm45SB6foes4BTC0Y8SZWov3Iahtvw
# yHFbUqs1YjCCB3EwggVZoAMCAQICEzMAAAAVxedrngKbSZkAAAAAABUwDQYJKoZI
# hvcNAQELBQAwgYgxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
# DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24x
# MjAwBgNVBAMTKU1pY3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0eSAy
# MDEwMB4XDTIxMDkzMDE4MjIyNVoXDTMwMDkzMDE4MzIyNVowfDELMAkGA1UEBhMC
# VVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
# BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRp
# bWUtU3RhbXAgUENBIDIwMTAwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoIC
# AQDk4aZM57RyIQt5osvXJHm9DtWC0/3unAcH0qlsTnXIyjVX9gF/bErg4r25Phdg
# M/9cT8dm95VTcVrifkpa/rg2Z4VGIwy1jRPPdzLAEBjoYH1qUoNEt6aORmsHFPPF
# dvWGUNzBRMhxXFExN6AKOG6N7dcP2CZTfDlhAnrEqv1yaa8dq6z2Nr41JmTamDu6
# GnszrYBbfowQHJ1S/rboYiXcag/PXfT+jlPP1uyFVk3v3byNpOORj7I5LFGc6XBp
# Dco2LXCOMcg1KL3jtIckw+DJj361VI/c+gVVmG1oO5pGve2krnopN6zL64NF50Zu
# yjLVwIYwXE8s4mKyzbnijYjklqwBSru+cakXW2dg3viSkR4dPf0gz3N9QZpGdc3E
# XzTdEonW/aUgfX782Z5F37ZyL9t9X4C626p+Nuw2TPYrbqgSUei/BQOj0XOmTTd0
# lBw0gg/wEPK3Rxjtp+iZfD9M269ewvPV2HM9Q07BMzlMjgK8QmguEOqEUUbi0b1q
# GFphAXPKZ6Je1yh2AuIzGHLXpyDwwvoSCtdjbwzJNmSLW6CmgyFdXzB0kZSU2LlQ
# +QuJYfM2BjUYhEfb3BvR/bLUHMVr9lxSUV0S2yW6r1AFemzFER1y7435UsSFF5PA
# PBXbGjfHCBUYP3irRbb1Hode2o+eFnJpxq57t7c+auIurQIDAQABo4IB3TCCAdkw
# EgYJKwYBBAGCNxUBBAUCAwEAATAjBgkrBgEEAYI3FQIEFgQUKqdS/mTEmr6CkTxG
# NSnPEP8vBO4wHQYDVR0OBBYEFJ+nFV0AXmJdg/Tl0mWnG1M1GelyMFwGA1UdIARV
# MFMwUQYMKwYBBAGCN0yDfQEBMEEwPwYIKwYBBQUHAgEWM2h0dHA6Ly93d3cubWlj
# cm9zb2Z0LmNvbS9wa2lvcHMvRG9jcy9SZXBvc2l0b3J5Lmh0bTATBgNVHSUEDDAK
# BggrBgEFBQcDCDAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMC
# AYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBTV9lbLj+iiXGJo0T2UkFvX
# zpoYxDBWBgNVHR8ETzBNMEugSaBHhkVodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20v
# cGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXRfMjAxMC0wNi0yMy5jcmwwWgYI
# KwYBBQUHAQEETjBMMEoGCCsGAQUFBzAChj5odHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpL2NlcnRzL01pY1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNydDANBgkqhkiG
# 9w0BAQsFAAOCAgEAnVV9/Cqt4SwfZwExJFvhnnJL/Klv6lwUtj5OR2R4sQaTlz0x
# M7U518JxNj/aZGx80HU5bbsPMeTCj/ts0aGUGCLu6WZnOlNN3Zi6th542DYunKmC
# VgADsAW+iehp4LoJ7nvfam++Kctu2D9IdQHZGN5tggz1bSNU5HhTdSRXud2f8449
# xvNo32X2pFaq95W2KFUn0CS9QKC/GbYSEhFdPSfgQJY4rPf5KYnDvBewVIVCs/wM
# nosZiefwC2qBwoEZQhlSdYo2wh3DYXMuLGt7bj8sCXgU6ZGyqVvfSaN0DLzskYDS
# PeZKPmY7T7uG+jIa2Zb0j/aRAfbOxnT99kxybxCrdTDFNLB62FD+CljdQDzHVG2d
# Y3RILLFORy3BFARxv2T5JL5zbcqOCb2zAVdJVGTZc9d/HltEAY5aGZFrDZ+kKNxn
# GSgkujhLmm77IVRrakURR6nxt67I6IleT53S0Ex2tVdUCbFpAUR+fKFhbHP+Crvs
# QWY9af3LwUFJfn6Tvsv4O+S3Fb+0zj6lMVGEvL8CwYKiexcdFYmNcP7ntdAoGokL
# jzbaukz5m/8K6TT4JDVnK+ANuOaMmdbhIurwJ0I9JZTmdHRbatGePu1+oDEzfbzL
# 6Xu/OHBE0ZDxyKs6ijoIYn/ZcGNTTY3ugm2lBRDBcQZqELQdVTNYs6FwZvKhggNQ
# MIICOAIBATCB+aGB0aSBzjCByzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hp
# bmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jw
# b3JhdGlvbjElMCMGA1UECxMcTWljcm9zb2Z0IEFtZXJpY2EgT3BlcmF0aW9uczEn
# MCUGA1UECxMeblNoaWVsZCBUU1MgRVNOOjg2MDMtMDVFMC1EOTQ3MSUwIwYDVQQD
# ExxNaWNyb3NvZnQgVGltZS1TdGFtcCBTZXJ2aWNloiMKAQEwBwYFKw4DAhoDFQAx
# W9uizG3hEY89uL2uu+X+mG/rdaCBgzCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1w
# IFBDQSAyMDEwMA0GCSqGSIb3DQEBCwUAAgUA6Jj8CjAiGA8yMDIzMDgyOTIzMjE0
# NloYDzIwMjMwODMwMjMyMTQ2WjB3MD0GCisGAQQBhFkKBAExLzAtMAoCBQDomPwK
# AgEAMAoCAQACAgjOAgH/MAcCAQACAhN2MAoCBQDomk2KAgEAMDYGCisGAQQBhFkK
# BAIxKDAmMAwGCisGAQQBhFkKAwKgCjAIAgEAAgMHoSChCjAIAgEAAgMBhqAwDQYJ
# KoZIhvcNAQELBQADggEBACsfwrUXtmFz5fvJJyaMAuTTVC1kFmfxDK3lfAlcO6uh
# 2vKr2Il3afp3yjXY48nt4B8rUg2bgJlKrQB8ONJoGKaxNiE30Ghm/JqlGTy0z0EW
# 6tuvFPRxofpJm5k3YH/YG2SmNgyf2JOoSqClkESOT8C7htiIwy7oFqoArhu37Apv
# Vh54BDmPlrAb53RY6t3yb8oMK2cEOVOUDJb3wCoNqabCMVkESMUHk3Dk2+aMMRMd
# 3y3eAnuWj2l0Dv1ZaafrlELqzdKOwqEqXb8OA89ycUqGV44s1fXNq+6iLV1ekRfF
# iawDtQ5Bsxg2hT44BY9L3YuArXnJZO94tQ1ZqWmgmoMxggQNMIIECQIBATCBkzB8
# MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVk
# bW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1N
# aWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMAITMwAAAdebDR5XLoxRjgABAAAB
# 1zANBglghkgBZQMEAgEFAKCCAUowGgYJKoZIhvcNAQkDMQ0GCyqGSIb3DQEJEAEE
# MC8GCSqGSIb3DQEJBDEiBCDcCtPS8zefrX40+QHexzT+qJXLqnRSYmBUDlg2DPn2
# uDCB+gYLKoZIhvcNAQkQAi8xgeowgecwgeQwgb0EIJzePl5LXn1PiqNjx8YN7TN1
# ZI0d1ZX/2zRdnI97rJo7MIGYMIGApH4wfDELMAkGA1UEBhMCVVMxEzARBgNVBAgT
# Cldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29m
# dCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENB
# IDIwMTACEzMAAAHXmw0eVy6MUY4AAQAAAdcwIgQgwvN/XPad1NMbFOflEQRAQRi9
# 6wkNLN9yTiRIZXFE5qMwDQYJKoZIhvcNAQELBQAEggIAbTFL5/rb+N/bVi6ZGBBp
# /2XJzhJ7jWBN3/vuu55ElvFvJfAJaH9VQ8XgIAOnkSINRVonF8+u2ARW2Vx28iQx
# PgIhNA8KF6VlE3iW2E/V4s7LEvHOowtjBaAuxQpMYxhlHhIix/jh1OoHYih0Geww
# RCd81ofL2PxTZeAotnJ7KfwX/+rzxg7UbJ4A2L0IfQv+79I01I7g4jgfz+kXqwYk
# UuGhAoNQw84BHJJsk7fHFyChRgPISm3swo7fa1uA86NUUCqRr3mCsiIObWDC8R+B
# uJKHVyPNQ4SUBxIE2TgO/u7rnoS+Z81MPBD3UyCUCOofPH4QygQCpevesrkjqtSJ
# LjXkiPeytVCc2DWjbBYO1ht22rRzYWeLZhg685HCv8tWEXwX/McYIzm19brV58a/
# /KuwRnQI3gz0l1SZidNPeCaMTmj3aRIjbIYxYnz7Rk1z7bAu8DnKMMu9c8bZVF+k
# V8ShuS3v/kYTKydxFuzincaWf/U8epbtFd8/e0Pnvl7AWIM2V7fgStRGptZ3kV3I
# ag059L8nsLbMYwR/y2w11cqZCE4oSTA/ns6G0ihboTbj8cjzdkc9Fcbu7/v5OhOV
# F7vCzbZajDlZEj45pBgdftUa9b31V/iLTQFDVIkt0fYaDlyY6VWqzR45piYbYOzW
# d8uAjOJivEV0rREUwZE1h0A=
# SIG # End signature block
