#
# Module manifest for module 'Az.Sql'
#
# Generated by: Microsoft Corporation
#
# Generated on: 8/30/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Sql.psm1'

# Version number of this module.
ModuleVersion = '4.10.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f088f4ab-1b59-4836-a6e0-4e14d15800c6'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - SQL service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on SQL, please visit the following: https://learn.microsoft.com/azure/sql-database/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.Sql.Sdk.dll', 
               'Microsoft.Azure.PowerShell.Cmdlets.Sql.LegacySdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
TypesToProcess = 'Sql.types.ps1xml'

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Sql.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Invoke-AzSqlServerExternalGovernanceStatusRefresh', 
               'Get-AzSqlDatabaseTransparentDataEncryption', 
               'Set-AzSqlDatabaseTransparentDataEncryption', 
               'Get-AzSqlDatabaseUpgradeHint', 'Get-AzSqlServerUpgradeHint', 
               'Get-AzSqlServerServiceObjective', 
               'Get-AzSqlServerActiveDirectoryAdministrator', 
               'Remove-AzSqlServerActiveDirectoryAdministrator', 
               'Set-AzSqlServerActiveDirectoryAdministrator', 'Get-AzSqlServer', 
               'New-AzSqlServer', 'Remove-AzSqlServer', 'Set-AzSqlServer', 
               'Get-AzSqlServerCommunicationLink', 
               'New-AzSqlServerCommunicationLink', 
               'Remove-AzSqlServerCommunicationLink', 
               'Get-AzSqlDatabaseReplicationLink', 'New-AzSqlDatabaseCopy', 
               'New-AzSqlDatabaseSecondary', 'Remove-AzSqlDatabaseSecondary', 
               'Set-AzSqlDatabaseSecondary', 'Get-AzSqlElasticPoolRecommendation', 
               'Get-AzSqlDatabaseIndexRecommendation', 
               'Start-AzSqlDatabaseExecuteIndexRecommendation', 
               'Stop-AzSqlDatabaseExecuteIndexRecommendation', 
               'Get-AzSqlServerFirewallRule', 'New-AzSqlServerFirewallRule', 
               'Remove-AzSqlServerFirewallRule', 'Set-AzSqlServerFirewallRule', 
               'Get-AzSqlServerIpv6FirewallRule', 
               'New-AzSqlServerIpv6FirewallRule', 
               'Remove-AzSqlServerIpv6FirewallRule', 
               'Set-AzSqlServerIpv6FirewallRule', 
               'Get-AzSqlServerOutboundFirewallRule', 
               'New-AzSqlServerOutboundFirewallRule', 
               'Remove-AzSqlServerOutboundFirewallRule', 'Get-AzSqlElasticPool', 
               'Get-AzSqlElasticPoolActivity', 'Get-AzSqlElasticPoolDatabase', 
               'New-AzSqlElasticPool', 'Remove-AzSqlElasticPool', 
               'Set-AzSqlElasticPool', 
               'Get-AzSqlServerDisasterRecoveryConfiguration', 
               'Get-AzSqlServerDisasterRecoveryConfigurationActivity', 
               'New-AzSqlServerDisasterRecoveryConfiguration', 
               'Remove-AzSqlServerDisasterRecoveryConfiguration', 
               'Set-AzSqlServerDisasterRecoveryConfiguration', 
               'Resume-AzSqlDatabase', 'Suspend-AzSqlDatabase', 
               'Get-AzSqlDatabaseDataMaskingPolicy', 
               'Get-AzSqlDatabaseDataMaskingRule', 
               'New-AzSqlDatabaseDataMaskingRule', 
               'Remove-AzSqlDatabaseDataMaskingRule', 
               'Set-AzSqlDatabaseDataMaskingPolicy', 
               'Set-AzSqlDatabaseDataMaskingRule', 'Get-AzSqlCapability', 
               'Get-AzSqlDatabase', 'Get-AzSqlDatabaseActivity', 
               'Get-AzSqlDatabaseExpanded', 'New-AzSqlDatabase', 
               'Remove-AzSqlDatabase', 'Set-AzSqlDatabase', 
               'Get-AzSqlDatabaseImportExportStatus', 'New-AzSqlDatabaseExport', 
               'New-AzSqlDatabaseImport', 'Get-AzSqlDatabaseGeoBackupPolicy', 
               'Set-AzSqlDatabaseGeoBackupPolicy', 
               'Get-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlDatabaseLongTermRetentionBackup', 
               'Update-AzSqlDatabaseLongTermRetentionBackup', 
               'Copy-AzSqlDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlDatabaseLongTermRetentionBackup', 
               'Get-AzSqlDeletedDatabaseBackup', 'Get-AzSqlDatabaseGeoBackup', 
               'Restore-AzSqlDatabase', 'Get-AzSqlDatabaseRestorePoint', 
               'Get-AzSqlDatabaseRecommendedAction', 
               'Get-AzSqlElasticPoolRecommendedAction', 
               'Get-AzSqlServerRecommendedAction', 
               'Set-AzSqlDatabaseRecommendedActionState', 
               'Set-AzSqlElasticPoolRecommendedActionState', 
               'Set-AzSqlServerRecommendedActionState', 
               'Get-AzSqlElasticPoolAdvisor', 'Get-AzSqlServerAdvisor', 
               'Set-AzSqlElasticPoolAdvisorAutoExecuteStatus', 
               'Set-AzSqlServerAdvisorAutoExecuteStatus', 
               'Get-AzSqlDatabaseAdvisor', 
               'Set-AzSqlDatabaseAdvisorAutoExecuteStatus', 
               'Get-AzSqlServerTransparentDataEncryptionProtector', 
               'Set-AzSqlServerTransparentDataEncryptionProtector', 
               'Add-AzSqlServerKeyVaultKey', 'Get-AzSqlServerKeyVaultKey', 
               'Remove-AzSqlServerKeyVaultKey', 'Get-AzSqlDatabaseFailoverGroup', 
               'New-AzSqlDatabaseFailoverGroup', 
               'Add-AzSqlDatabaseToFailoverGroup', 
               'Remove-AzSqlDatabaseFromFailoverGroup', 
               'Remove-AzSqlDatabaseFailoverGroup', 
               'Set-AzSqlDatabaseFailoverGroup', 
               'Switch-AzSqlDatabaseFailoverGroup', 'New-AzSqlSyncGroup', 
               'Update-AzSqlSyncGroup', 'Get-AzSqlSyncGroup', 
               'Get-AzSqlSyncGroupLog', 'Remove-AzSqlSyncGroup', 
               'Update-AzSqlSyncSchema', 'Get-AzSqlSyncSchema', 
               'Start-AzSqlSyncGroupSync', 'Stop-AzSqlSyncGroupSync', 
               'New-AzSqlSyncMember', 'Update-AzSqlSyncMember', 
               'Get-AzSqlSyncMember', 'Remove-AzSqlSyncMember', 'New-AzSqlSyncAgent', 
               'Get-AzSqlSyncAgent', 'Remove-AzSqlSyncAgent', 
               'New-AzSqlSyncAgentKey', 'Get-AzSqlSyncAgentLinkedDatabase', 
               'New-AzSqlServerVirtualNetworkRule', 
               'Set-AzSqlServerVirtualNetworkRule', 
               'Get-AzSqlServerVirtualNetworkRule', 
               'Remove-AzSqlServerVirtualNetworkRule', 
               'Stop-AzSqlDatabaseActivity', 'Get-AzSqlServerDnsAlias', 
               'Remove-AzSqlServerDnsAlias', 'New-AzSqlServerDnsAlias', 
               'Set-AzSqlServerDnsAlias', 'New-AzSqlDatabaseRestorePoint', 
               'Remove-AzSqlDatabaseRestorePoint', 'Stop-AzSqlElasticPoolActivity', 
               'Add-AzSqlServerTransparentDataEncryptionCertificate', 
               'Add-AzSqlManagedInstanceTransparentDataEncryptionCertificate', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Convert-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentScanRecord', 
               'Start-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlInstance', 'New-AzSqlInstance', 'Remove-AzSqlInstance', 
               'Get-AzSqlInstanceOperation', 'Stop-AzSqlInstanceOperation', 
               'Set-AzSqlInstance', 'Get-AzSqlInstanceDatabase', 
               'New-AzSqlInstanceDatabase', 'Remove-AzSqlInstanceDatabase', 
               'Restore-AzSqlInstanceDatabase', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Convert-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentScanRecord', 
               'Start-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Enable-AzSqlInstanceAdvancedDataSecurity', 
               'Disable-AzSqlInstanceAdvancedDataSecurity', 
               'Get-AzSqlInstanceAdvancedDataSecurityPolicy', 
               'Get-AzSqlInstanceDatabaseGeoBackup', 
               'Get-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDeletedInstanceDatabaseBackup', 
               'Update-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Update-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlServerVulnerabilityAssessmentSetting', 
               'Clear-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseSensitivityClassification', 
               'Get-AzSqlInstanceDatabaseSensitivityClassification', 
               'Set-AzSqlDatabaseSensitivityClassification', 
               'Set-AzSqlInstanceDatabaseSensitivityClassification', 
               'Remove-AzSqlDatabaseSensitivityClassification', 
               'Remove-AzSqlInstanceDatabaseSensitivityClassification', 
               'Get-AzSqlDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlVirtualCluster', 'Remove-AzSqlVirtualCluster', 
               'Enable-AzSqlServerAdvancedDataSecurity', 
               'Disable-AzSqlServerAdvancedDataSecurity', 
               'Get-AzSqlServerAdvancedDataSecurityPolicy', 
               'Get-AzSqlDatabaseInstanceFailoverGroup', 
               'New-AzSqlDatabaseInstanceFailoverGroup', 
               'Remove-AzSqlDatabaseInstanceFailoverGroup', 
               'Set-AzSqlDatabaseInstanceFailoverGroup', 
               'Switch-AzSqlDatabaseInstanceFailoverGroup', 
               'Add-AzSqlInstanceKeyVaultKey', 'Get-AzSqlInstanceKeyVaultKey', 
               'Remove-AzSqlInstanceKeyVaultKey', 
               'Get-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Set-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Get-AzSqlServerAudit', 'Get-AzSqlDatabaseAudit', 
               'Set-AzSqlServerAudit', 'Set-AzSqlDatabaseAudit', 
               'Get-AzSqlServerMSSupportAudit', 'Set-AzSqlServerMSSupportAudit', 
               'Remove-AzSqlServerMSSupportAudit', 
               'Get-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlInstanceActiveDirectoryAdministrator', 
               'Set-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlServerAudit', 'Remove-AzSqlDatabaseAudit', 
               'Get-AzSqlInstancePool', 'Set-AzSqlInstancePool', 
               'New-AzSqlInstancePool', 'Remove-AzSqlInstancePool', 
               'Get-AzSqlInstancePoolUsage', 'Invoke-AzSqlDatabaseFailover', 
               'Invoke-AzSqlElasticPoolFailover', 'New-AzSqlElasticJobAgent', 
               'Remove-AzSqlElasticJobAgent', 'Get-AzSqlElasticJobAgent', 
               'Set-AzSqlElasticJobAgent', 'New-AzSqlElasticJobCredential', 
               'Get-AzSqlElasticJobCredential', 'Set-AzSqlElasticJobCredential', 
               'Remove-AzSqlElasticJobCredential', 
               'New-AzSqlElasticJobTargetGroup', 'Get-AzSqlElasticJobTargetGroup', 
               'Remove-AzSqlElasticJobTargetGroup', 'Add-AzSqlElasticJobTarget', 
               'Remove-AzSqlElasticJobTarget', 'New-AzSqlElasticJob', 
               'Get-AzSqlElasticJob', 'Set-AzSqlElasticJob', 
               'Remove-AzSqlElasticJob', 'Add-AzSqlElasticJobStep', 
               'Get-AzSqlElasticJobStep', 'Remove-AzSqlElasticJobStep', 
               'Set-AzSqlElasticJobStep', 'Start-AzSqlElasticJob', 
               'Stop-AzSqlElasticJob', 'Get-AzSqlElasticJobExecution', 
               'Get-AzSqlElasticJobStepExecution', 
               'Get-AzSqlElasticJobTargetExecution', 
               'Enable-AzSqlDatabaseSensitivityRecommendation', 
               'Disable-AzSqlDatabaseSensitivityRecommendation', 
               'Enable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Disable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Get-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Disable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Invoke-AzSqlInstanceFailover', 
               'Enable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Start-AzSqlInstanceDatabaseLogReplay', 
               'Complete-AzSqlInstanceDatabaseLogReplay', 
               'Stop-AzSqlInstanceDatabaseLogReplay', 
               'Get-AzSqlInstanceDatabaseLogReplay', 
               'Disable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerTrustGroup', 'New-AzSqlServerTrustGroup', 
               'Remove-AzSqlServerTrustGroup', 
               'Enable-AzSqlDatabaseLedgerDigestUpload', 
               'Disable-AzSqlDatabaseLedgerDigestUpload', 
               'Get-AzSqlDatabaseLedgerDigestUpload', 
               'New-AzSqlInstanceServerTrustCertificate', 
               'Get-AzSqlInstanceServerTrustCertificate', 
               'Remove-AzSqlInstanceServerTrustCertificate', 
               'New-AzSqlInstanceLink', 'Get-AzSqlInstanceLink', 
               'Remove-AzSqlInstanceLink', 'Update-AzSqlInstanceLink', 
               'Get-AzSqlInstanceEndpointCertificate', 'Set-AzSqlInstanceDatabase', 
               'Get-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlServerAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Update-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlServerAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDtc', 'Set-AzSqlInstanceDtc', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevert', 
               'Invoke-AzSqlServerTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlInstanceTransparentDataEncryptionProtectorRevalidation', 
               'Get-AzSqlServerConfigurationOption', 
               'Set-AzSqlServerConfigurationOption', 
               'Enable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Disable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Get-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Copy-AzSqlInstanceDatabase', 'Move-AzSqlInstanceDatabase', 
               'Complete-AzSqlInstanceDatabaseMove', 
               'Complete-AzSqlInstanceDatabaseCopy', 
               'Stop-AzSqlInstanceDatabaseMove', 'Stop-AzSqlInstanceDatabaseCopy', 
               'Get-AzSqlInstanceDatabaseCopyOperation', 
               'Get-AzSqlInstanceDatabaseMoveOperation', 'Start-AzSqlInstance', 
               'Stop-AzSqlInstance', 'Get-AzSqlInstanceStartStopSchedule', 
               'New-AzSqlInstanceStartStopSchedule', 
               'Remove-AzSqlInstanceStartStopSchedule', 
               'New-AzSqlInstanceScheduleItem'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Get-AzSqlDatabaseServerAuditingPolicy', 
               'Remove-AzSqlDatabaseServerAuditing', 
               'Set-AzSqlDatabaseServerAuditingPolicy', 
               'Use-AzSqlDatabaseServerAuditingPolicy', 
               'Get-AzSqlDatabaseLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseLongTermRetentionPolicy', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlInstanceTDEProtector', 'Get-AzSqlInstanceTDEProtector', 
               'Set-AzSqlServerTrustGroup', 'Set-AzSqlInstanceLink'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Sql','Database'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Fixed cmdlets to use 2018-06-01-preview api version
    - ''Set-AzSqlInstanceDatabaseSensitivityClassification'',
    - ''Remove-AzSqlInstanceDatabaseSensitivityClassification'',
    - ''Enable-AzSqlInstanceDatabaseSensitivityRecommendation'',
    - ''Disable-AzSqlInstanceDatabaseSensitivityRecommendation'',
* Added ''EncryptionProtectorAutoRotation'' parameter to ''New-AzSqlDatabase'', ''Get-AzSqlDatabase'', ''Set-AzSqlDatabase'', ''New-AzSqlDatabaseCopy'', ''New-AzSqlDatabaseSecondary'', ''Restore-AzSqlDatabase'' cmdlets'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoLAYJKoZIhvcNAQcCoIIoHTCCKBkCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCC2BsH795vZ3MFS
# rkq1+tzvoB7K0IJkDVyUPsQc0lQEHKCCDXYwggX0MIID3KADAgECAhMzAAADTrU8
# esGEb+srAAAAAANOMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMwMzE2MTg0MzI5WhcNMjQwMzE0MTg0MzI5WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDdCKiNI6IBFWuvJUmf6WdOJqZmIwYs5G7AJD5UbcL6tsC+EBPDbr36pFGo1bsU
# p53nRyFYnncoMg8FK0d8jLlw0lgexDDr7gicf2zOBFWqfv/nSLwzJFNP5W03DF/1
# 1oZ12rSFqGlm+O46cRjTDFBpMRCZZGddZlRBjivby0eI1VgTD1TvAdfBYQe82fhm
# WQkYR/lWmAK+vW/1+bO7jHaxXTNCxLIBW07F8PBjUcwFxxyfbe2mHB4h1L4U0Ofa
# +HX/aREQ7SqYZz59sXM2ySOfvYyIjnqSO80NGBaz5DvzIG88J0+BNhOu2jl6Dfcq
# jYQs1H/PMSQIK6E7lXDXSpXzAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUnMc7Zn/ukKBsBiWkwdNfsN5pdwAw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMDUxNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAD21v9pHoLdBSNlFAjmk
# mx4XxOZAPsVxxXbDyQv1+kGDe9XpgBnT1lXnx7JDpFMKBwAyIwdInmvhK9pGBa31
# TyeL3p7R2s0L8SABPPRJHAEk4NHpBXxHjm4TKjezAbSqqbgsy10Y7KApy+9UrKa2
# kGmsuASsk95PVm5vem7OmTs42vm0BJUU+JPQLg8Y/sdj3TtSfLYYZAaJwTAIgi7d
# hzn5hatLo7Dhz+4T+MrFd+6LUa2U3zr97QwzDthx+RP9/RZnur4inzSQsG5DCVIM
# pA1l2NWEA3KAca0tI2l6hQNYsaKL1kefdfHCrPxEry8onJjyGGv9YKoLv6AOO7Oh
# JEmbQlz/xksYG2N/JSOJ+QqYpGTEuYFYVWain7He6jgb41JbpOGKDdE/b+V2q/gX
# UgFe2gdwTpCDsvh8SMRoq1/BNXcr7iTAU38Vgr83iVtPYmFhZOVM0ULp/kKTVoir
# IpP2KCxT4OekOctt8grYnhJ16QMjmMv5o53hjNFXOxigkQWYzUO+6w50g0FAeFa8
# 5ugCCB6lXEk21FFB1FdIHpjSQf+LP/W2OV/HfhC3uTPgKbRtXo83TZYEudooyZ/A
# Vu08sibZ3MkGOJORLERNwKm2G7oqdOv4Qj8Z0JrGgMzj46NFKAxkLSpE5oHQYP1H
# tPx1lPfD7iNSbJsP6LiUHXH1MIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGgwwghoIAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAANOtTx6wYRv6ysAAAAAA04wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIKdjYTlFVootJHOBBGAgaD5D
# G+rdUnWFqQmz5tQva+fFMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEAnw4o7r0tEg1Ih1eRlHoWChjdtfRzTvTdjSzQYCnwAgSDaoi85XzmGos2
# 48lDIwC5lQwzFNrk3RiYDAWRksSp0M0vVT0b68hia2cBPnTi4lcKJrkfuQ/guLiM
# Zm4sDUdiFai4+aK7QjYWl+TSi2eMH/+JsMYI//PIj6oxlHbLfDhRUls5pBF8yfHA
# lt+St28r6NgAVe/uAWn8RuSDsH8BREIUOiNlXPgE0+hdDEnrFH4Uy1Ygf8sWfnKY
# w/BqBtzE1gnYzgSQtrIVGkZryHecMUNv55chxEN8GqyyguPOaFH9DnZXIAMz0f4/
# FRqqvI1uQnxmtDH0qvbOaMTg41gcpqGCF5YwgheSBgorBgEEAYI3AwMBMYIXgjCC
# F34GCSqGSIb3DQEHAqCCF28wghdrAgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFRBgsq
# hkiG9w0BCRABBKCCAUAEggE8MIIBOAIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCA5D7nN/l/nwZwJuVWf0WRdmhB8Bx7BMB891mwF2nGORwIGZNTJFP7G
# GBIyMDIzMDgzMDA3MjQwMS40NFowBIACAfSggdGkgc4wgcsxCzAJBgNVBAYTAlVT
# MRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQK
# ExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVy
# aWNhIE9wZXJhdGlvbnMxJzAlBgNVBAsTHm5TaGllbGQgVFNTIEVTTjo4RDAwLTA1
# RTAtRDk0NzElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZaCC
# Ee0wggcgMIIFCKADAgECAhMzAAABzVUHKufKwZkdAAEAAAHNMA0GCSqGSIb3DQEB
# CwUAMHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQH
# EwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJjAkBgNV
# BAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwMB4XDTIzMDUyNTE5MTIw
# NVoXDTI0MDIwMTE5MTIwNVowgcsxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNo
# aW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29y
# cG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVyaWNhIE9wZXJhdGlvbnMx
# JzAlBgNVBAsTHm5TaGllbGQgVFNTIEVTTjo4RDAwLTA1RTAtRDk0NzElMCMGA1UE
# AxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBANM4ItVLaOYRY6rHPKBbuzpguabb2mO8D4KHpUvseVMv
# zJS3dnQojNNrY78e+v9onNrWoRWSWrs0+I6ukEAjPrnstXHARzgHEmK/oHrxrwNC
# IXpYAUU1ordYeLtN/FGeouiGA3Pu9k/KVlBfv3mvwxC9fnq7COP9HiFedHs1rguW
# 7iZayaX/CnpUmoK7Fme72NfippTGeByt8VPv7O+VcKXAtqHafR4YqdrV06M6DIrT
# SNirm+3Ovk1n6pXGprD0OYSyP29+piR9BmvLYk7nCaBdfv07Hs8sxR+pPj7zDkmR
# 1IyhffZvUPpwMpZFS/mqOJiHij9r16ET8oCRRaVI9tsNH9oac8ksAY/LaoD3tgIF
# 54gmNEpRGB0+WETk7jqQ6O7ydgmci/Fu4LZCnaPHBzqsP0zo+9zyxkhxDXRgplVg
# qz3hg9KWSHBfC21tFj6NmdCIObZkWMfxI97UjoRFx95hfXMJiMTN3BZyb58VmaUk
# D0dBbtkkCY4QI4218rbwREQQTnLOr5PdAxU+GIR8SGBxiyHQN6haJgawOIoS5L4U
# SUwzJPjnr5TZlFraFtFD3tBxu9oB3o5VAundNCo0S7R6zlmrTCDYIAN/5ApBH9jr
# 58aCT2ok0lbcy7vvUq2G4+U18qyzQHXOHTFrXI3ioLfOgT1SrpPyvsbf861IWazj
# AgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQUoZP5pjZpmsEAlUhmHmSJyiR81ZowHwYD
# VR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYDVR0fBFgwVjBUoFKgUIZO
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jcmwvTWljcm9zb2Z0JTIw
# VGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwGCCsGAQUFBwEBBGAwXjBc
# BggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0
# cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIwMjAxMCgxKS5jcnQwDAYD
# VR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMC
# B4AwDQYJKoZIhvcNAQELBQADggIBAFKobemkohT6L8QzDC2i2jGcp/DRJf/dPXoQ
# 9uPCwAiZY5nmcsBtq2imXzMVjzjWBvl6IvWPzWHgOISJe34EmAcgDYsiEqFKxx3v
# 2gxuvrfUOISp/1fktlHdXcohiy1Tcrt/kOTu1uhu4e77p9gz+A7HjiyBFTthD5hN
# ge+/yTiYye6JqElGVT8Xa9q9wdTm6FeLTvwridJEA+dbJfuBWLqJUwEFQXjzbeg8
# XOcRwe6ntU0ZG0Z7XG+eUx3UK7LFy0zx3+irJOzHCUkAzkX+UPGcRahLMCRp3Wda
# +RoB4xXv7f0ileG5/0bfFt98qLIGePdxB6IDhLFLAJ2fHTREGVdLqv20YNr+j1FL
# TUU4AHMqQ/kIEOmbjCkp0hTvgq0EfawTlBhifuWJhZmvZ/9T6CFOZ04Q4+RcRxfz
# Ufh1ElTbxOP+BRl3AvzXFqHwqf5wHu8z8ezf8ny0XXdk8/7w21fe+7g2tyEcMliC
# M6L7Um5J/7iOkX+kQQ9en0C6yLOZKaQEriJVPs3BW1GdLW2zyoAYcY+DYc9rhva7
# 2Z655Sio1W0yFu6YjXL531mROE1cFfPZoi1PYL30MzdPepioBSa8pSvJVKkwtWmx
# 7iN7lY3pVWUIMUpYVEfbTZjERVaxnlto30JqoJsJLQRruz04UtoQzl82f2bmzr2U
# P96RxbapMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJmQAAAAAAFTANBgkqhkiG
# 9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAO
# BgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEy
# MDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IDIw
# MTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1WjB8MQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGlt
# ZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
# AOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjKNVf2AX9sSuDivbk+F2Az
# /1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhgfWpSg0S3po5GawcU88V2
# 9YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJprx2rrPY2vjUmZNqYO7oa
# ezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/dvI2k45GPsjksUZzpcGkN
# yjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka97aSueik3rMvrg0XnRm7K
# MtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKRHh09/SDPc31BmkZ1zcRf
# NN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9ituqBJR6L8FA6PRc6ZNN3SU
# HDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyOArxCaC4Q6oRRRuLRvWoY
# WmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItboKaDIV1fMHSRlJTYuVD5
# C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6bMURHXLvjflSxIUXk8A8
# FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6tAgMBAAGjggHdMIIB2TAS
# BgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQWBBQqp1L+ZMSavoKRPEY1
# Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXAYDVR0gBFUw
# UzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYzaHR0cDovL3d3dy5taWNy
# b3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnkuaHRtMBMGA1UdJQQMMAoG
# CCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIAQwBBMAsGA1UdDwQEAwIB
# hjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2VsuP6KJcYmjRPZSQW9fO
# mhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwubWljcm9zb2Z0LmNvbS9w
# a2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNybDBaBggr
# BgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93d3cubWljcm9zb2Z0LmNv
# bS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYtMjMuY3J0MA0GCSqGSIb3
# DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/qXBS2Pk5HZHixBpOXPTEz
# tTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6U03dmLq2HnjYNi6cqYJW
# AAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVtI1TkeFN1JFe53Z/zjj3G
# 82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis9/kpicO8F7BUhUKz/Aye
# ixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTpkbKpW99Jo3QMvOyRgNI9
# 5ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0sHrYUP4KWN1APMdUbZ1j
# dEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138eW0QBjloZkWsNn6Qo3GcZ
# KCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJsWkBRH58oWFsc/4Ku+xB
# Zj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7Fx0ViY1w/ue10CgaiQuP
# Ntq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0dFtq0Z4+7X6gMTN9vMvp
# e784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQtB1VM1izoXBm8qGCA1Aw
# ggI4AgEBMIH5oYHRpIHOMIHLMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1lcmljYSBPcGVyYXRpb25zMScw
# JQYDVQQLEx5uU2hpZWxkIFRTUyBFU046OEQwMC0wNUUwLUQ5NDcxJTAjBgNVBAMT
# HE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2WiIwoBATAHBgUrDgMCGgMVAGip
# 96bYorO5FmMhJiJ8aiVU53IEoIGDMIGApH4wfDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAg
# UENBIDIwMTAwDQYJKoZIhvcNAQELBQACBQDomPwMMCIYDzIwMjMwODI5MjMyMTQ4
# WhgPMjAyMzA4MzAyMzIxNDhaMHcwPQYKKwYBBAGEWQoEATEvMC0wCgIFAOiY/AwC
# AQAwCgIBAAICBMMCAf8wBwIBAAICEiQwCgIFAOiaTYwCAQAwNgYKKwYBBAGEWQoE
# AjEoMCYwDAYKKwYBBAGEWQoDAqAKMAgCAQACAwehIKEKMAgCAQACAwGGoDANBgkq
# hkiG9w0BAQsFAAOCAQEAGvR5maXAyI9PHwPcMuLx82rqDZ57fNYeFBhPEoXF5dRz
# jbDJ2sgelhZWL+ZAWDs82dfRju50AlH12flhunhjB1Nr0H+FL/dAzx5YSOvHphrN
# BfZJpUKsPil56Xe686ynyL/G+A5lPAfPHEQSEhM6HB7Nm0mdh5nk4dwVo5A++fAi
# VPMHBW66WO+TIla2GjJqWIfor+iI6k1MV8cFRyywm85jbJRRBIN4v1bZGyFVBLyb
# ebTJ1dd1loKEzjYE4yEZzqzgQBMHwgCr/AD1Nv4Ogfj1P3PrQZE9ywg+CAuux5Dx
# InM5wbKm6tMKWOddFU5G7ARgTR6QIGiwW4FFtVCC5DGCBA0wggQJAgEBMIGTMHwx
# CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRt
# b25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1p
# Y3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwAhMzAAABzVUHKufKwZkdAAEAAAHN
# MA0GCWCGSAFlAwQCAQUAoIIBSjAaBgkqhkiG9w0BCQMxDQYLKoZIhvcNAQkQAQQw
# LwYJKoZIhvcNAQkEMSIEIIu0OsHQu7wLYdIVfr0bHIqzev+z2LrN4P8adZBmYGts
# MIH6BgsqhkiG9w0BCRACLzGB6jCB5zCB5DCBvQQg4mal+K1WvU9kaC9MR1OlK1Rz
# oY2Hss2uhAErClRGmQowgZgwgYCkfjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMK
# V2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0
# IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0Eg
# MjAxMAITMwAAAc1VByrnysGZHQABAAABzTAiBCBqhBiNQ68tAt9dWE7vkHMnqYMU
# vbz4kR7VKY2YYhvhuzANBgkqhkiG9w0BAQsFAASCAgCgd5qj/6aSbeYcx6jqWNYj
# IBgKEk68KQbXhd6Pm5fhrMTfozwBRSQ72EUvRU1CY8MLrsHCq0gacJrtvqgmBbz5
# TW7gDfUH+xyfeI+wTBX8E3L84Ga1tFw0za+5IKC3jqL9tzEMx2xkr+vu9x2xLt4f
# ye7RqzVBv+OSRwBEKRClV6kTv/i3srWhnFqh3+wsHLC2LG5B0w9J6SRPsl/dYaPK
# j7rhcSF7qtNkjIbXkT/Ohy9bPsjOqFKUnr5ghcUGRRem12flE0tSI5+bB20ri1IN
# j9SaSyqRWyDfeaVuHWBrfwhq4h6k9tLsBNOZ54pKwWdEYQLPO7KlUS9g5b/Ho94P
# XDeZHCYFfdvNpguCbTpPkY2OcxoH1UDbz9BNFe2r3wqMrQHjgiyTvKikBdULUGsO
# WbT9Ib/ueXazriQPWLwZgUFpzSZ0poX2PIFrZLeqdb5DVpGSfSZqYakw9lvVHAXz
# pVHf3w3HUWhVl3Ui/gBSoAPvhCFPQGaruo9h4/RdADFBe/aOkpI9T/t/jbB+ZX2I
# eubu5o5dd0wZckqDdkmVP8Wr7CrhS4uL130b8Z1no0hFp9VD4OEFPCYZVgR1erDC
# 6gF54ktsjekIkjZIrEGNWtkulLUQ3aWtcW0OEanTgamP70cAvTQv18xXv5Wp+xvE
# A5YmfslLlDtjm+yN0NF1kQ==
# SIG # End signature block
