#
# Module manifest for module 'Az'
#
# Generated by: Microsoft Corporation
#
# Generated on: 8/30/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.psm1'

# Version number of this module.
ModuleVersion = '10.3.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'd48d710e-85cb-46a1-990f-22dae76f6b5f'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Cmdlets to manage resources in Azure. This module is compatible with PowerShell and Windows PowerShell.
For more information about the Az module, please visit the following: https://learn.microsoft.com/powershell/azure/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
# FormatsToProcess = @()

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
# NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = @()

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ARM','ResourceManager','Linux','AzureAutomationNotSupported'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '10.3.0 - September 2023
Az.Accounts
* Supported in-tool notification for version upgrade.
* Added an alias ''Set-AzConfig'' to ''Update-AzConfig''
* Refilled credentials from ''AzKeyStore'' when run ''Save-AzContext'' [#22355]
* Added config ''DisableErrorRecordsPersistence'' to disable writing error records to file system [#21732]
* Updated Azure.Core to 1.34.0.

Az.ArcResourceBridge
* General availability for module Az.ArcResourceBridge

Az.Compute
* Added ''-Hibernate'' switch parameter to ''Stop-AzVmss'' default parameter set. 
* For ''Get-AzVmRunCommand'', a bug is fixed to work when returning a list of RunCommands [#22403]
* Updated Azure.Core to 1.34.0.
* Added new cmdlets ''Get-AzHostSize'' and ''Update-AzHost''.
* Added the ''Standard'' value to the ''SecurityType'' parameter to the cmdlets ''Set-AzDiskSecurityType'', ''New-AzvmssConfig'', ''Set-AzVmssSecurityProfile'', ''Update-AzVmss'', ''New-AzVmss'', ''New-AzVMConfig'', ''Set-AzVMsecurityProfile'', and ''New-AzVM''.
* Fixed ''Update-AzVMSS'' to update ImageReferenceSKU [#22195]
* Updated the above change to include ''New-AzVMConfig'' as 1 scenario was initially missed when only using this cmdlet.

Az.ContainerInstance
* Fixed a bug in ''Invoke-AzContainerInstanceCommand'' when no result was returned under some conditions [#22453]

Az.ContainerRegistry
* Updated Azure.Core to 1.34.0.

Az.CosmosDB
* Added PublicNetworkAccess parameter to ''Restore-AzCosmosDBAccount''.

Az.DataLakeAnalytics
* Refreshed module to ensure catalog file signed by Microsoft.

Az.EventHub
* Supported EventHub MSI capture feature in cmdlets ''New-AzEventHub'' and ''Set-AzEventHub''

Az.HDInsight
* This change adds some warning messages to the incoming break changes for the next version, with detailed information as follows:
  * Added warning message for planning to replace the type of property ''DiskEncryption'' of type ''Microsoft.Azure.Commands.HDInsight.Models.AzureHDInsightCluster'' from ''Microsoft.Azure.Management.HDInsight.Models.DiskEncryptionProperties'' to ''Azure.ResourceManager.HDInsight.Models.HDInsightDiskEncryptionProperties''.
  * Added warning message for planning to replace the type of property ''WorkerNodeDataDisksGroups'' of type ''Microsoft.Azure.Commands.HDInsight.Models.AzureHDInsightCluster''  from ''List<Microsoft.Azure.Management.HDInsight.Models.DataDisksGroups>'' to ''List<Azure.ResourceManager.HDInsight.Models.HDInsightClusterDataDiskGroup>''.
  * Added warning message for planning to replace the parameter ''NodeType'' type from ''Microsoft.Azure.Management.HDInsight.Models.ClusterNodeType'' to ''Microsoft.Azure.Commands.HDInsight.Models.Management.RuntimeScriptActionClusterNodeType''.

Az.KeyVault
* Fixed certificate policy bugs if DnsName is null. [#22642]
* Supported multi-regions for Managed Hsm: Added ''Add/Get/Remove-AzAzKeyVaultManagedHsmRegion''.
* Added ''Test-AzKeyVaultNameAvailability'' and ''Test-AzKeyVaultManagedHsmNameAvailability''.
* Formatted the table view of ''*-AzKeyVault'', ''*-AzKeyVaultKey'' and ''*-AzKeyVaultSecret''
* Added ''SecurityDomain'' and ''Regions'' properties into the output of ''New/Update/Get-AzKeyVaultManagedHsm'' (''PSManagedHsm'').
* Supported Setting for Managed HSM: Added ''Get-AzKeyVaultSetting'' and ''Update-AzKeyVaultSetting''.
* Updated Azure.Core to 1.34.0.

Az.Maintenance
* Fixed breaking change information

Az.Media
* Refreshed module to ensure catalog file signed by Microsoft.

Az.Monitor
* Fixed ''Get-AzInsightsPrivateLinkScope'' to support ''ResourceId'' parameter [#22568]
* Fixed ''New-AzMetricAlertRuleV2DimensionSelection'' to have ''exclude'' or ''include'' values only [#22256]
* Fixed ''Add-AzMetriAlertRuleV2'' and ''Get-AzMetricAlertRuleV2'' to support web tests criteria [#22350]
* Added parameter ''Dimension'' for ''Get-AzMetric'' to easily filter metrics by dimensions [#22320]
* Added breaking change for Data Collection Rule
* Added breaking change for Action Group

Az.Network
* Added support for new Application Gateway SKU type, Basic SKU
* Onboarded ''Microsoft.EventGrid/partnerNamespaces'' to private link cmdlets
* Onboarded ''Microsoft.EventGrid/namespaces'' to private link cmdlets
* Fixed bug in ''NewAzureApplicationGatewayFirewallCustomRuleGroupByVariable'' to add ''GeoLocation'' as a valid input for VariableName
* Added breaking change message for parameter ''VariableName'' in ''NewAzureApplicationGatewayFirewallCustomRuleGroupByVariable'' to remove ''Geo'' as a valid input.

Az.NotificationHubs
* Refreshed module to ensure catalog file signed by Microsoft.

Az.PolicyInsights
* Updated Azure.Core to 1.34.0.

Az.RecoveryServices
* Added StorageAccountName property to AzureFileShare job.
* Added support for AFS restore to alternate storage account in different region and resource group than source storage account.

Az.Resources
* Added breaking change warnings for Azure Policy cmdlets.
* Implemented logic that allows Deployment Stack objects to be piped into Save and Remove Deployment Stack cmdlets.

Az.SecurityInsights
* Added breaking change message for ''Az.SecurityInsights''.

Az.Sql
* Fixed cmdlets to use 2018-06-01-preview api version
    - ''Set-AzSqlInstanceDatabaseSensitivityClassification'',
    - ''Remove-AzSqlInstanceDatabaseSensitivityClassification'',
    - ''Enable-AzSqlInstanceDatabaseSensitivityRecommendation'',
    - ''Disable-AzSqlInstanceDatabaseSensitivityRecommendation'',
* Added ''EncryptionProtectorAutoRotation'' parameter to ''New-AzSqlDatabase'', ''Get-AzSqlDatabase'', ''Set-AzSqlDatabase'', ''New-AzSqlDatabaseCopy'', ''New-AzSqlDatabaseSecondary'', ''Restore-AzSqlDatabase'' cmdlets

Az.SqlVirtualMachine
* Added more parameters on cmdlet ''Update-AzSqlVM''.

Az.StackHCI
* Removed device type check and only check if service already exists.

Az.Storage
* Updated Azure.Core to 1.34.0.
* Added support for encryption context 
    - ''New-AzDataLakeGen2Item''
* Updated warning messages for an upcoming breaking change when creating a storage account 
    - ''New-AzStorageAccount''
* Updated help file of ''New-AzStorageQueueSASToken''

Az.Synapse
* Updated Azure.Core to 1.34.0.
* Updated Azure.Analytics.Synapse.Artifacts to 1.0.0-preview.18

Az.Websites
* Added support for XenonMV3 webapps
'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoOwYJKoZIhvcNAQcCoIIoLDCCKCgCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCDmnypu8qisXgmu
# c5ucpnXjhpDrXM7UXQrbfucMa6XfP6CCDYUwggYDMIID66ADAgECAhMzAAADTU6R
# phoosHiPAAAAAANNMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMwMzE2MTg0MzI4WhcNMjQwMzE0MTg0MzI4WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDUKPcKGVa6cboGQU03ONbUKyl4WpH6Q2Xo9cP3RhXTOa6C6THltd2RfnjlUQG+
# Mwoy93iGmGKEMF/jyO2XdiwMP427j90C/PMY/d5vY31sx+udtbif7GCJ7jJ1vLzd
# j28zV4r0FGG6yEv+tUNelTIsFmmSb0FUiJtU4r5sfCThvg8dI/F9Hh6xMZoVti+k
# bVla+hlG8bf4s00VTw4uAZhjGTFCYFRytKJ3/mteg2qnwvHDOgV7QSdV5dWdd0+x
# zcuG0qgd3oCCAjH8ZmjmowkHUe4dUmbcZfXsgWlOfc6DG7JS+DeJak1DvabamYqH
# g1AUeZ0+skpkwrKwXTFwBRltAgMBAAGjggGCMIIBfjAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUId2Img2Sp05U6XI04jli2KohL+8w
# VAYDVR0RBE0wS6RJMEcxLTArBgNVBAsTJE1pY3Jvc29mdCBJcmVsYW5kIE9wZXJh
# dGlvbnMgTGltaXRlZDEWMBQGA1UEBRMNMjMwMDEyKzUwMDUxNzAfBgNVHSMEGDAW
# gBRIbmTlUAXTgqoXNzcitW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8v
# d3d3Lm1pY3Jvc29mdC5jb20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIw
# MTEtMDctMDguY3JsMGEGCCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDEx
# XzIwMTEtMDctMDguY3J0MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIB
# ACMET8WuzLrDwexuTUZe9v2xrW8WGUPRQVmyJ1b/BzKYBZ5aU4Qvh5LzZe9jOExD
# YUlKb/Y73lqIIfUcEO/6W3b+7t1P9m9M1xPrZv5cfnSCguooPDq4rQe/iCdNDwHT
# 6XYW6yetxTJMOo4tUDbSS0YiZr7Mab2wkjgNFa0jRFheS9daTS1oJ/z5bNlGinxq
# 2v8azSP/GcH/t8eTrHQfcax3WbPELoGHIbryrSUaOCphsnCNUqUN5FbEMlat5MuY
# 94rGMJnq1IEd6S8ngK6C8E9SWpGEO3NDa0NlAViorpGfI0NYIbdynyOB846aWAjN
# fgThIcdzdWFvAl/6ktWXLETn8u/lYQyWGmul3yz+w06puIPD9p4KPiWBkCesKDHv
# XLrT3BbLZ8dKqSOV8DtzLFAfc9qAsNiG8EoathluJBsbyFbpebadKlErFidAX8KE
# usk8htHqiSkNxydamL/tKfx3V/vDAoQE59ysv4r3pE+zdyfMairvkFNNw7cPn1kH
# Gcww9dFSY2QwAxhMzmoM0G+M+YvBnBu5wjfxNrMRilRbxM6Cj9hKFh0YTwba6M7z
# ntHHpX3d+nabjFm/TnMRROOgIXJzYbzKKaO2g1kWeyG2QtvIR147zlrbQD4X10Ab
# rRg9CpwW7xYxywezj+iNAc+QmFzR94dzJkEPUSCJPsTFMIIHejCCBWKgAwIBAgIK
# YQ6Q0gAAAAAAAzANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEw
# OTA5WjB+MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYD
# VQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG
# 9w0BAQEFAAOCAg8AMIICCgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+la
# UKq4BjgaBEm6f8MMHt03a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc
# 6Whe0t+bU7IKLMOv2akrrnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4D
# dato88tt8zpcoRb0RrrgOGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+
# lD3v++MrWhAfTVYoonpy4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nk
# kDstrjNYxbc+/jLTswM9sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6
# A4aN91/w0FK/jJSHvMAhdCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmd
# X4jiJV3TIUs+UsS1Vz8kA/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL
# 5zmhD+kjSbwYuER8ReTBw3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zd
# sGbiwZeBe+3W7UvnSSmnEyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3
# T8HhhUSJxAlMxdSlQy90lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS
# 4NaIjAsCAwEAAaOCAe0wggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRI
# bmTlUAXTgqoXNzcitW2oynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTAL
# BgNVHQ8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBD
# uRQFTuHqp8cx0SOJNDBaBgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jv
# c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3JsMF4GCCsGAQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3J0MIGfBgNVHSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEF
# BQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1h
# cnljcHMuaHRtMEAGCCsGAQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkA
# YwB5AF8AcwB0AGEAdABlAG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn
# 8oalmOBUeRou09h0ZyKbC5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7
# v0epo/Np22O/IjWll11lhJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0b
# pdS1HXeUOeLpZMlEPXh6I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/
# KmtYSWMfCWluWpiW5IP0wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvy
# CInWH8MyGOLwxS3OW560STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBp
# mLJZiWhub6e3dMNABQamASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJi
# hsMdYzaXht/a8/jyFqGaJ+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYb
# BL7fQccOKO7eZS/sl/ahXJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbS
# oqKfenoi+kiVH6v7RyOA9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sL
# gOppO6/8MO0ETI7f33VtY5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtX
# cVZOSEXAQsmbdlsKgEhr/Xmfwb1tbWrJUnMTDXpQzTGCGgwwghoIAgEBMIGVMH4x
# CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRt
# b25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01p
# Y3Jvc29mdCBDb2RlIFNpZ25pbmcgUENBIDIwMTECEzMAAANNTpGmGiiweI8AAAAA
# A00wDQYJYIZIAWUDBAIBBQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQw
# HAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEINql
# /W+C4p3u/qcMmL99sDzEdSqtW6I4e1OkRBl32QLyMEIGCisGAQQBgjcCAQwxNDAy
# oBSAEgBNAGkAYwByAG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20wDQYJKoZIhvcNAQEBBQAEggEAeRx379AlwSQAcop5jZXH9+CQksYFkLzeDsj7
# T1NKOIG8c6XQQlrqgygZ8LIOob7O0qyX9jZuLUjW6ucXgOkvus62SCvfY4AYGpWl
# C6bqrrc+Eub9FIXkpCKSErxZ7jV3wtBP79UK7+Uu5bVca3E2V7Ua+KDhQB9xbbtx
# 8bKh/VW27wtZYXbkuHKjbSC7q+0FYSl0cKGtBoxzr8eN7k353oXZChN/Dwxo7KfT
# 1wgyfmo+ZvBKbxmkh2l70usS20GHabqQu4Hsrzbt1gbvapTvW4zPsD15ACLRcXJd
# Sv/iLrW9dBWJJ1uWYjdePOJRfqyCfNMvwqrH7p/MPS6aWZZp9qGCF5YwgheSBgor
# BgEEAYI3AwMBMYIXgjCCF34GCSqGSIb3DQEHAqCCF28wghdrAgEDMQ8wDQYJYIZI
# AWUDBAIBBQAwggFRBgsqhkiG9w0BCRABBKCCAUAEggE8MIIBOAIBAQYKKwYBBAGE
# WQoDATAxMA0GCWCGSAFlAwQCAQUABCCtOoC/h8Twegw8g+/9mPdqMu+Cmt5B/fAj
# 1UMgCKqq5QIGZNTKPnfJGBIyMDIzMDgzMDA3MjQwMy42N1owBIACAfSggdGkgc4w
# gcsxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdS
# ZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJTAjBgNVBAsT
# HE1pY3Jvc29mdCBBbWVyaWNhIE9wZXJhdGlvbnMxJzAlBgNVBAsTHm5TaGllbGQg
# VFNTIEVTTjo3RjAwLTA1RTAtRDk0NzElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUt
# U3RhbXAgU2VydmljZaCCEe0wggcgMIIFCKADAgECAhMzAAAB1akCz8WnyelaAAEA
# AAHVMA0GCSqGSIb3DQEBCwUAMHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNo
# aW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29y
# cG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEw
# MB4XDTIzMDUyNTE5MTIzMFoXDTI0MDIwMTE5MTIzMFowgcsxCzAJBgNVBAYTAlVT
# MRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQK
# ExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVy
# aWNhIE9wZXJhdGlvbnMxJzAlBgNVBAsTHm5TaGllbGQgVFNTIEVTTjo3RjAwLTA1
# RTAtRDk0NzElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAMV9qTns6mH2+7G2WgAGItzp
# 6dP7IofrX1v46EZ2TKGA3ORfzQpQYj+MSo5UxXhKq39Q8UWJ3Ha3u/ZIROPa0DO5
# Uq0N+rYcGm7zS9nS/JAPJ1W3gwMvi0lIqqBih8LEMgGtbMkmOAGiUp04nHW63ZPI
# 5z5Q6bt73a1U8emN2D46Z/fVMtR/+ii7IA4n8iefaKHcBI/RBib4AVCOFgM0O7y7
# Mx3AcXlB3Cyxw1r09VIZ50t0Muj2MvoOg8Xg1ijTqW+8RC5In0ibBl8EYvL/yGkT
# tEPh7C8kqYzX63p5C4SxNeOsYzZaORbXxKBRnyf5Wkva6ToCEOQJrfnkjnfWnQmS
# qmiift0e4tR1lJA7jSqZUhDqpAJqe8iZOqY2AT+s8nSuCvSEw8j+5HVP+JovSYSr
# hupqT7exrwj4UBg4j88LtX7MR6T6x3Ja1pf6d1saW/9ElvmZBoafw26duR+8cPVC
# 3kPSua0w56RgyrtCNioTcUQ//ABjhMO4nGy2OxrYdeLbJQMSDgwkvr8m+xBdOg5n
# 4jFHopPm3l8HkWllgGlUsyZrembnPpVe+Retizfc1cmpVYvCKzBrs1QVXzsSzayi
# 70h3DfIBmYchhaA5D4MhjWdjdobkM4OLA3WsnIRv6ZtYNqCt1XFydyvpQoo7j16g
# 1NcRb6xxR/obBcbQoTKZAgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQUr9Bco07flsEw
# 7PdHmCJfsCVrY5owHwYDVR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYD
# VR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9j
# cmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwG
# CCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIw
# MjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcD
# CDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQADggIBAGZF12q9C7KNGnHQ
# cbG86p98WtuAUCDSPza/S/tH7/xrvRLZXi3vIpgpKxAYjqm+3UDwkaa5nKOYhebD
# bcCQjltmTG9KDCzyusG0nD29qQRyRxYVBvskbpvrXzHSz1DcMvR1GrjpBlGebtTr
# bfiV5y+Oy0CjDfR0/ROchpw9Yqk9zdCAH5YOeCU3Z91PWu5DpYhUF6eamOkb3KlE
# A0pTHk1Fyl0kBBbYWoQdNLc21v7S0KoiQ0cnloWwXp6FGi9ZmnQxgjP1ukkeLHRW
# uN0tUw6l7vC/ra33QTdSsTYqZXClDnCwwPphSxygKxJFBmsDkBvBM4Jkml4bbPe8
# Oj+G688rxN5MnYu278i1eDEiUg5Cn+1scCI3xem3D8mYhmD151D8WINogjAblgex
# +ba7tPA4XJ3o6ovDXxnmP8i8M/OWTBYnGTpEckXl1Lizd+fIvDcMcF7kNq/opgHi
# fzH9wSYP9Hjj/yBLk9+4bWyuMt3LIa3KHQqJENKaPD59ruLVU+h6aJ0NY1nuSw1p
# 0xp3hmgO+CSo5XgDpr43wchz8/qDSKut7MtZSBspdI3yIf1E/5YkXHl8EcTgAXGt
# sBRDZmfmMOYcAjfBhxAOecRg/nUDvlYXA+y8Gt+tvX7prV+5MQfUBh044zLx9fzE
# qjQTRiz7tvEi8U+xSlLN8WMGiWaHMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJ
# mQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgT
# Cldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29m
# dCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1
# WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjK
# NVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhg
# fWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJp
# rx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/d
# vI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka9
# 7aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKR
# Hh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9itu
# qBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyO
# ArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItb
# oKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6
# bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6t
# AgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQW
# BBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacb
# UzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYz
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnku
# aHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIA
# QwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2
# VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwu
# bWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEw
# LTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93
# d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYt
# MjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/q
# XBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6
# U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVt
# I1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis
# 9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTp
# kbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0
# sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138e
# W0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJ
# sWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7
# Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0
# dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQ
# tB1VM1izoXBm8qGCA1AwggI4AgEBMIH5oYHRpIHOMIHLMQswCQYDVQQGEwJVUzET
# MBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMV
# TWljcm9zb2Z0IENvcnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1lcmlj
# YSBPcGVyYXRpb25zMScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046N0YwMC0wNUUw
# LUQ5NDcxJTAjBgNVBAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2WiIwoB
# ATAHBgUrDgMCGgMVAE4SL5L9lUV7rDUh3fWboqB7bqU0oIGDMIGApH4wfDELMAkG
# A1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQx
# HjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9z
# b2Z0IFRpbWUtU3RhbXAgUENBIDIwMTAwDQYJKoZIhvcNAQELBQACBQDomPxdMCIY
# DzIwMjMwODI5MjMyMzA5WhgPMjAyMzA4MzAyMzIzMDlaMHcwPQYKKwYBBAGEWQoE
# ATEvMC0wCgIFAOiY/F0CAQAwCgIBAAICCy4CAf8wBwIBAAICE2wwCgIFAOiaTd0C
# AQAwNgYKKwYBBAGEWQoEAjEoMCYwDAYKKwYBBAGEWQoDAqAKMAgCAQACAwehIKEK
# MAgCAQACAwGGoDANBgkqhkiG9w0BAQsFAAOCAQEAqDqr8ahtsHm79mzJORLoyvO4
# KS4SgGhaWN8pYSEhGAPJ64iydTPwutDaFWmpjDgfEBIEzEQCWDvxPA1TKoenpUXg
# QdQkp+eQZ/Bmz+CpShyGLfH9hO909fEEsHNfSQ2M6BtT+2AAIIIVQRj1ExI2zV5b
# AZuUhlzbVDyeiTmzMyQqGAgNFDd3wh7OQW6Y4TdSCM8VC/9cO4+WPVyAHFHm6jra
# ASKO5VoPDy/a+FuND7o5L4+dFKtMLgG6epxmEtInxyW0D4U895Ch1Bt/m55tAhby
# DCpaSfp/pnBKrgRmLfq3YaF6Yyd/NzK030zrKq/Ota45zs49rtd1xQah77Uh8zGC
# BA0wggQJAgEBMIGTMHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9u
# MRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRp
# b24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwAhMzAAAB
# 1akCz8WnyelaAAEAAAHVMA0GCWCGSAFlAwQCAQUAoIIBSjAaBgkqhkiG9w0BCQMx
# DQYLKoZIhvcNAQkQAQQwLwYJKoZIhvcNAQkEMSIEIJAW1NO9PGYQiyPIIWSrmPC1
# GG5uZnezXcXrjNJzHlRBMIH6BgsqhkiG9w0BCRACLzGB6jCB5zCB5DCBvQQg2b8j
# hgzXrokwzsQohxi+VxuvYIeMoLQtQ6alkhsGwf8wgZgwgYCkfjB8MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQg
# VGltZS1TdGFtcCBQQ0EgMjAxMAITMwAAAdWpAs/Fp8npWgABAAAB1TAiBCCRhmwf
# aowAQfMXUsUgulQsJusDMO2Ca1ZLVhajbxvLvDANBgkqhkiG9w0BAQsFAASCAgAy
# TU/fw2HTdycEBPt3w+V6tr95oaOPSAstUJGZTvlZBCtmsWX9c3RmomkNMSUxnuOv
# NfHqfbu9s9PwD4ADDboJSzBSVuEP5dU3zb6e561l4zu+PjJn4g+yAXZ8TISry0DC
# OXFvPPqNo5GNTYai84a1UJ4lPjlImU1gJ8DO+TLw3tPdbD2beEUEjaYq1sTjDtvv
# +QHZCCLjWxcrSNc/Elmh06Wc6wV9OgfKpjayqg8PS0JaSWw5udUO4n+esyEUNmLX
# ark0cmVULean12ckBr9K53r7yB4iq+1xt3LQt7A9PAmlK+5ZTuPyAN+gy2GJRvs4
# FJE8q7a3QtaoxBJod1mt68w+q3PkHksSsnP52rQZaxrp+1Ud1VelVMSHAkYs09Eu
# vRgDC2YR5qe5sG4Dud3BHo8hDDvkBdQxytiZ6SGb93Nhf3RAkVv5kEF838tdJzGJ
# dDfQh7IRjs2fDYCgRWes0MyMEW9/XFoZlqUsHuT0wpodM7GKXopm84Z1ozfcX6i8
# Owfs1UEFRILdUSAIKx5q9QzN656k0VEzvIQeQJEzGD1dQPrfljjQ33lNwIGVki3f
# kw2I2wqhQ2xFHX6UCUmEUwpLXi6QJAoxokVWEc+Qrbk0OhcbQ8hqNXLdHrO95PbP
# SFvudqpumQbXGPuDnAQkBmoW/pq2CMkNoC9YwDtvNA==
# SIG # End signature block
